# This is an auto-generated LSP cross spec file.
# Vendor: Yamaha Corporation
# Board: S84X
# Commonly known as: S90 XS / S70 XS

%define FILENAME	yamaha-s84x-mips2_fp_le
%define BOARD_NAME	Yamaha S84X (%{_hhl_target_endian} endian) 

%define KERNEL_VERSION	%{_hhl_kernel_base_version}_%{_hhl_kernel_hhl_version}
%define MY_LSPDIR       %{_hhl_lsp_dir}/%{FILENAME}
%define KDIR            linux-%{KERNEL_VERSION}
%define MY_KERNELDIR    %{_hhl_kernel_dir}/%{KDIR}
%define FULL_VERSION    %{version}-%{release}
%define _hhl_kernel_arch %( if [ "%{_hhl_target_cpu}" = "mips64" ]; then echo "mips" ; else echo "%{_hhl_target_cpu}" ; fi )

Summary: Linux Support Package for the %{BOARD_NAME}
Name: cross-lsp-%{FILENAME}
Version: %{KERNEL_VERSION}
%if "%{_hhl_lsp_rev}" == "%%%{_hhl_lsp_rev}"
%define _hhl_lsp_rev 99
%endif
Release: %{_hhl_lsp_rev}.1.0.%{_mvl_build_id}.19
Source0: mvl-%{FILENAME}.config
Source10: mvl-%{FILENAME}-desc
Source20: ramdisk-%{_mvl_target_cpu}.gz
%if "%{_hhl_integration_patch}" == "true"
Patch10: mvl-post-release.diff
%endif

# NGS patches
Patch50: ngs-linux-2.6.git-74641d75275936796d239f828b80cb030e9f9b0a.patch
Patch51: ngs-autofs4_bad_lookup_fix.patch
Patch52: ngs-clockgen_init.patch
Patch53: ngs-decrease_nr_consoles.patch
Patch54: ngs-extend_uart_txbuf.patch
Patch55: ngs-fbcon_noclear.patch
Patch56: ngs-fpu_workaround.patch
Patch57: ngs-kev_drv_headers.patch
Patch58: ngs-mvl_baseconfig.patch
Patch59: ngs-proc_mtdid.patch
Patch60: ngs-proc_sram.patch
Patch61: ngs-rtc_workaround.patch
Patch62: ngs-serial_txx9.patch
Patch63: ngs-skip_initramfs_check.patch
Patch64: ngs-sys_call_table.patch
Patch65: ngs-tx4939_platform.patch
Patch66: ngs-tx4939_spi_fix.patch
Patch67: ngs-tx4939_garbcp_fix.patch
Patch68: ngs-tx4939ndfmc_largepage.patch
Patch69: ngs-tx4939ndfmc_readid_fix.patch
Patch70: ngs-tx4939ndfmc_ecc_fix.patch
Patch71: ngs-usb_overcurrent.patch
Patch72: ngs-usb_testmode.patch
Patch73: ngs-zImage.patch
Patch74: ngs-nand_eccerrlog.patch

# S84X patches
Patch80: s84x-support.patch
Patch81: s84x-epson1356fb.patch
Patch82: s84x-epson13700fb.patch
Patch83: s84x-disable_extpci.patch

# MVL official patches
Patch100: pro-0287-omap_kgdb8250_oops_fix.mvlpatch
Patch101: pro-0288-8250-early_serial_setup_spin_lock_init.mvlpatch
Patch102: pro-0289-ipv6_conntrack_core_mising_include_fix.mvlpatch
Patch103: pro-0290-ip6t_reject_missing_include_fix.mvlpatch
Patch104: pro-0291-ext3_show_options_remount_bugfix.mvlpatch
Patch105: pro-0292-ext3_options_remount_quota_warning_fix.mvlpatch
Patch106: pro-0293-ppc440ep_yosemite_support.mvlpatch
Patch107: pro-0294-ppc440gr_yellowstone_support.mvlpatch
Patch108: pro-0295-ppc32_export_cacheable_memcpy_symbol.mvlpatch
Patch109: pro-0296-ppc32_emac_rt_fix.mvlpatch
Patch110: pro-0297-ppc32_cleanup_booke_NUM_TLBCAMS_usage.mvlpatch
Patch111: pro-0298-driver_core_add_bus_find_device_function.mvlpatch
Patch112: pro-0299-common_jbd_relaxation.mvlpatch
Patch113: pro-0300-mqueue_mnt_mnt_count_CVE-2005-3356.mvlpatch
Patch114: pro-0301-fix_refcount_in_ip6_flowlabel_CVE-2005-3806.mvlpatch
Patch115: pro-0302-redundant_NULL_check_in_kernel_sysctl-CVE-2005-2709.mvlpatch
Patch116: pro-0303-fix_sysctl_unregistration_oops_CVE-2005-2709.mvlpatch
Patch117: pro-0304-ipv6_restrict_information_exported_to_userspace.mvlpatch
Patch118: pro-0305-fix_infinite_loop_in_udp_v6_get_port_CVE-2005-2973.mvlpatch
Patch119: pro-0306-kill_annoying_mount_version_mismatch_printks.mvlpatch
Patch120: pro-0307-call_exit_itimers_from_do_exit.mvlpatch
Patch121: pro-0308-mips_rbtx4939_big_endian_ide_bugfix.mvlpatch
Patch122: pro-0309-fix_arm_slab_corruption_due_to_pud_t_integration.mvlpatch
Patch123: pro-0310-fix_compiler_warnings_with_ARM_set_pmd.mvlpatch
Patch124: pro-0311-mips_pnx8550_sync.mvlpatch
Patch125: pro-0312-mips_pnx8550_stb810.mvlpatch
Patch126: pro-0313-mips_pnx8550_rt.mvlpatch
Patch127: pro-0314-mips_pnx8550_kgdb.mvlpatch
Patch128: pro-0315-mips_pnx8550_hrt.mvlpatch
Patch129: pro-0316-mips_pnx8550_nand.mvlpatch
Patch130: pro-0317-mips_pnx8550_meuconfig_warnings.mvlpatch
Patch131: pro-0318-mips_pnx8550_nand_fix.mvlpatch
Patch132: pro-0319-mips_pnx8550_mmu_bug_fix.mvlpatch
Patch133: pro-0320-introduce_kzalloc_function.mvlpatch
Patch134: pro-0321-ppc_xilinx_move_xparameters.h.mvlpatch
Patch135: pro-0322-ppc_xilinx_virtex2pro_to_virtex.mvlpatch
Patch136: pro-0323-ppc_xilinx_add_virtex4fx_to_cpu_table.mvlpatch
Patch137: pro-0324-ppc_xilinx_add_ml403_board_support.mvlpatch
Patch138: pro-0325-ppc_xilinx_intc_cleanup.mvlpatch
Patch139: pro-0326-ppc_xilinx_ivr_hw_bug_workaround.mvlpatch
Patch140: pro-0327-ppc_xilinx_platform_stub.mvlpatch
Patch141: pro-0328-ppc_xilinx_edk_common.mvlpatch
Patch142: pro-0329-ppc_xilinx_edk_emac.mvlpatch
Patch143: pro-0330-ppc_xilinx_emac_del_LookupConfig.mvlpatch
Patch144: pro-0331-ppc_xilinx_emac.mvlpatch
Patch145: pro-0332-ppc_xilinx_edk_gpio.mvlpatch
Patch146: pro-0333-ppc_xilinx_gpio_del_LookupConfig.mvlpatch
Patch147: pro-0334-ppc_xilinx_gpio.mvlpatch
Patch148: pro-0335-ppc_xilinx_edk_ps2.mvlpatch
Patch149: pro-0336-ppc_xilinx_ps2_del_LookupConfig.mvlpatch
Patch150: pro-0337-ppc_xilinx_ps2.mvlpatch
Patch151: pro-0338-ppc_xilinx_fb.mvlpatch
Patch152: pro-0339-ppc_xilinx_edk_sysace.mvlpatch
Patch153: pro-0340-ppc_xilinx_sysace_del_LookupConfig.mvlpatch
Patch154: pro-0341-ppc_xilinx_sysace.mvlpatch
Patch155: pro-0342-ppc_xilinx_edk_iic.mvlpatch
Patch156: pro-0343-ppc_xilinx_iic_del_LookupConfig.mvlpatch
Patch157: pro-0344-ppc_xilinx_iic.mvlpatch
Patch158: pro-0345-ppc_xilinx_edk_uartlite.mvlpatch
Patch159: pro-0346-ppc_xilinx_edk_temac.mvlpatch
Patch160: pro-0347-ppc_xilinx_uartlite.mvlpatch
Patch161: pro-0348-ppc_xilinx_temac_del_LookupConfig.mvlpatch
Patch162: pro-0349-ppc_xilinx_temac.mvlpatch
Patch163: pro-0350-ppc_xilinx_tlb_bug_workaround.mvlpatch
Patch164: pro-0351-ppc_xilinx_add_memec_2vpx_board_support.mvlpatch
Patch165: pro-0352-ppc_memec_2vpx_lcd.mvlpatch
Patch166: pro-0353-ppc_memec_2vpx_mtd.mvlpatch
Patch167: pro-0354-ppc_xilinx_ps2_lockup_fix.mvlpatch
Patch168: pro-0355-ppc_xilinx_edk_touchscreen.mvlpatch
Patch169: pro-0356-ppc_xilinx_touchscreen_del_LookupConfig.mvlpatch
Patch170: pro-0357-ppc_xilinx_touchscreen.mvlpatch
Patch171: pro-0358-ppc_xilinx_xparameters_ml300-fix.mvlpatch
Patch172: pro-0359-ppc_xilinx_edk_spi.mvlpatch
Patch173: pro-0360-ppc_xilinx_spi_del_LookupConfig.mvlpatch
Patch174: pro-0361-ppc_xilinx_spi.mvlpatch
Patch175: pro-0362-ppc_xilinx_ml300_remove_unnecessary_files.mvlpatch
Patch176: pro-0363-generic_serial_driver_bugfix.mvlpatch
Patch177: pro-0364-mips_nec_vr5701_serial_fix.mvlpatch
Patch178: pro-0365-mips_nec_vr5701_errata.mvlpatch
Patch179: pro-0366-mips_nec_vr5701_sound_next.mvlpatch
Patch180: pro-0367-mips_fpu_and_preemption_fixes.mvlpatch
Patch181: pro-0368-mips_tx49x7-cpu-name-pci-clock-report-fix.mvlpatch
Patch182: pro-0369-mips_tx4927_38_pciccfg_gbwc.mvlpatch
Patch183: pro-0370-mips_tx4937-fix-timer-reg-defs.mvlpatch
Patch184: pro-0371-mips_tx49xx-mfc0-errata-fix.mvlpatch
Patch185: pro-0372-use_mtune_arm1136j-s_for_ARMv6_targets.mvlpatch
Patch186: pro-0373-arm-remove-udivdi3-from-pxafb.mvlpatch
Patch187: pro-0374-mmc-remove-ref-to-divdi3.mvlpatch
Patch188: pro-0375-arm-remove-udivdi3-from-nwfpe.mvlpatch
Patch189: pro-0376-arm-remove-udivdi3-from-kernel.mvlpatch
Patch190: pro-0377-arm-optimized-libc-functions.mvlpatch
Patch191: pro-0378-slab-add-more-arch-override.mvlpatch
Patch192: pro-0379-arm-fix-sys_sendto-and-sys_recvfrom-6-arg.mvlpatch
Patch193: pro-0380-arm_mno-thumb-interwork.mvlpatch
Patch194: pro-0381-arm-eabi-relocs-for-modules.mvlpatch
Patch195: pro-0382-arm-eabi-slab-align-to-64bits.mvlpatch
Patch196: pro-0383-arm-eabi-sp-align-1.mvlpatch
Patch197: pro-0384-arm-eabi-sp-align-2.mvlpatch
Patch198: pro-0385-arm-eabi-helper-func-names.mvlpatch
Patch199: pro-0386-arm-eabi-syscalls.mvlpatch
Patch200: pro-0387-arm-eabi-syscall-adjstments.mvlpatch
Patch201: pro-0388-arm-eabi-kconfig.mvlpatch
Patch202: pro-0389-arm-update-syscall-table.mvlpatch
Patch203: pro-0390-arm-inotify-ioprio.syscalls.mvlpatch
Patch204: pro-0391-arm-mempolicy-syscalls.mvlpatch
Patch205: pro-0392-arm-oabi-statfs64.mvlpatch
Patch206: pro-0393-arm-oabi-syscall-wrappers.mvlpatch
Patch207: pro-0394-arm-oabi-multi-abi.mvlpatch
Patch208: pro-0395-arm-oabi-nwfpe.mvlpatch
Patch209: pro-0396-arm-oabi-kconfig.mvlpatch
Patch210: pro-0397-arm-eabi-sigreturn-fix.mvlpatch
Patch211: pro-0398-arm-nptl-compat-mb.mvlpatch
Patch212: pro-0399-arm-oabi-is-experimental.mvlpatch
Patch213: pro-0400-arm-oabi-struct-sockaddr_un.mvlpatch
Patch214: pro-0401-arm_mempolicy_syscalls_compat_hack.mvlpatch
Patch215: pro-0402-arm_eabi_syscalls_compat_hack.mvlpatch
Patch216: pro-0403-iptables_counters_fix.mvlpatch
Patch217: pro-0404-frd_smp_affinity.mvlpatch
Patch218: pro-0405-frd_mips_abs_latency.mvlpatch
Patch219: pro-0406-frd_report_correct_runtime2.mvlpatch
Patch220: pro-0407-frd_cleanup_whitespace.mvlpatch
Patch221: pro-0408-frd_specify_major_device_number.mvlpatch
Patch222: pro-0409-frd_remove_debug_code.mvlpatch
Patch223: pro-0410-kgdb_ppc64_smp_fixes.mvlpatch
Patch224: pro-0411-ppc_boot_treeboot_entrypoint_fix.mvlpatch
Patch225: pro-0412-mips_uaccess_might_sleep_removal.mvlpatch
Patch226: pro-0413-fs_enet_dma_unmap_fixup.mvlpatch
Patch227: pro-0414-mips_fix_ssnop_macro.mvlpatch
Patch228: pro-0415-fix_potential_dos_in_load_elf_library.mvlpatch
Patch229: pro-0416-mips_au1xx0-kgdb.mvlpatch
Patch230: pro-0417-mips_do-not-clear-irq_desc.mvlpatch
Patch231: pro-0418-mips_au1xx0-hrt.mvlpatch
Patch232: pro-0419-mips_au1x00_uart-remove-serial-registration.mvlpatch
Patch233: pro-0420-mips_au1x00_uart-deadlock-fix.mvlpatch
Patch234: pro-0421-mips_au1x00_uart-claim-region.mvlpatch
Patch235: pro-0422-mips_au1xx0-make-kseg0-uncached-on-reboot.mvlpatch
Patch236: pro-0423-mips_au1xx0-use-au_readl.mvlpatch
Patch237: pro-0424-mips_au1xx0-preserve-default-cmdline.mvlpatch
Patch238: pro-0425-mips_au1xx0-use-prom_printf.mvlpatch
Patch239: pro-0426-mips_au1xx0-fix-ohci-Kconfig-entry.mvlpatch
Patch240: pro-0427-mips_au1xx0-ohci-region-size-off-by-one.mvlpatch
Patch241: pro-0428-mips_au1xx0-fix-prom_getenv.mvlpatch
Patch242: pro-0429-mips_ramdisk_parse_cmdline.mvlpatch
Patch243: pro-0430-mips_db1200.mvlpatch
Patch244: pro-0431-mips_au1200-kgdb-on-uart1.mvlpatch
Patch245: pro-0432-mips_au1xx0-dbdma-backport.mvlpatch
Patch246: pro-0433-mips_au1xx0-nand-chip-select-fix.mvlpatch
Patch247: pro-0434-mips_au1550_ac97-fix-spinlocks.mvlpatch
Patch248: pro-0435-mips_au1550_ac97-print-newlines.mvlpatch
Patch249: pro-0436-mips_au1xx0-fix-dbdma-warnings-and-move-irq_tab_alchemy.mvlpatch
Patch250: pro-0437-mips_au1xx0-fix-dbdma-cache-snoop-issue.mvlpatch
Patch251: pro-0438-ppc_440gx_rev_f.patch.mvlpatch
Patch252: pro-0439-8349e_initial.patch.mvlpatch
Patch253: pro-0440-83xx_serial_debug_fix.patch.mvlpatch
Patch254: pro-0441-chipset_version_fix.patch.mvlpatch
Patch255: pro-0442-mpc834x_bcsr_size_fix.patch.mvlpatch
Patch256: pro-0443-mpc83xx_add_soft_reset.patch.mvlpatch
Patch257: pro-0444-add_834x_rtc_support.patch.mvlpatch
Patch258: pro-0445-add_mpc83xx_pci.patch.mvlpatch
Patch259: pro-0446-ppc32-check-ppc_sys_get_pdata-return.patch.mvlpatch
Patch260: pro-0447-mpc8349mds_flash.patch.mvlpatch
Patch261: pro-0448-mpc834x_reset_cleanup.patch.mvlpatch
Patch262: pro-0449-mii-add-gige-support.patch.mvlpatch
Patch263: pro-0450-mii_gigE-bug-fixes.patch.mvlpatch
Patch264: pro-0451-add-mii-test-for-gige.patch.mvlpatch
Patch265: pro-0452-ppc_booke_wdt.patch.mvlpatch
Patch266: pro-0453-ppc_booke_wdt_namespace_cleanup.patch.mvlpatch
Patch267: pro-0454-ppc_head_4xx_missing_endif.patch.mvlpatch
Patch268: pro-0455-ppc32-pte-conversions-to-page-frame-numbers.patch.mvlpatch
Patch269: pro-0456-ppc32-fix-pte-update.patch.mvlpatch
Patch270: pro-0457-ppc32-support_36_bit_phys_addr_on_e500.patch.mvlpatch
Patch271: pro-0458-ppc85xx-fix_platform_device_initialization-8250.patch.mvlpatch
Patch272: pro-0459-ppc32-fix-booke-kgdb-support.patch.mvlpatch
Patch273: pro-0460-ppc32-skip-8258pic-unless-pci.patch.mvlpatch
Patch274: pro-0461-ppc32-add-8548-support.patch.mvlpatch
Patch275: pro-0462-ppc32-add-8548cds-support.patch.mvlpatch
Patch276: pro-0463-ppc32-add-8548-internal-interrupt-support.patch.mvlpatch
Patch277: pro-0464-ppc32-remove-unnecessary-prom.h-includes.patch.mvlpatch
Patch278: pro-0465-ppc32-fix-mpc8555cds-build.patch.mvlpatch
Patch279: pro-0466-ppc32-gianfar-update-marvel-phy-name.patch.mvlpatch
Patch280: pro-0467-ppc32-add-8548-gianfar-tsec-features.patch.mvlpatch
Patch281: pro-0468-ppc32-add-cpm2_reset-prototype.patch.mvlpatch
Patch282: pro-0469-add-phy-abstraction-layer.patch.mvlpatch
Patch283: pro-0470-phy-numerous-minor-fixes.patch.mvlpatch
Patch284: pro-0471-phy-more-cleanups.patch.mvlpatch
Patch285: pro-0472-phy_layer_fixup.patch.mvlpatch
Patch286: pro-0473-ppc32-fix-85xx-pci-io-space.patch.mvlpatch
Patch287: pro-0474-gianfar-use_new_phy_layer.patch.mvlpatch
Patch288: pro-0475-ppc32-85xx-phy_platform_update.patch.mvlpatch
Patch289: pro-0476-ppc32-add-E200-support.patch.mvlpatch
Patch290: pro-0477-delete_CONFIG_PHYCONTROL.patch.mvlpatch
Patch291: pro-0478-gianfar_zero_mii_bus_structure.patch.mvlpatch
Patch292: pro-0479-add_phy_address_mask.patch.mvlpatch
Patch293: pro-0480-mpc85xx_cds_kgdb_fix.patch.mvlpatch
Patch294: pro-0481-add_gianfar_net_poll.patch.mvlpatch
Patch295: pro-0482-ppc32-factor_out_exception_code_for_4xx_and_booke.patch.mvlpatch
Patch296: pro-0483-ppc32_kgdb_cope_with_singlestep_on_critical_exception_stack.patch.mvlpatch
Patch297: pro-0484-gianfar_update_and_add_sysfs_support.patch.mvlpatch
Patch298: pro-0485-allow_overlapping_resources_for_platform_devices.patch.mvlpatch
Patch299: pro-0486-gianfar_include_in_h.patch.mvlpatch
Patch300: pro-0487-gianfar_use_proper_resource_for_mii.patch.mvlpatch
Patch301: pro-0488-phy_add_PHY_ID_FMT_macro.patch.mvlpatch
Patch302: pro-0489-gianfar_use_PHY_ID_FMT_MACRO.patch.mvlpatch
Patch303: pro-0490-gianfar_pass_mdio_bus_params_for_new_driver.patch.mvlpatch
Patch304: pro-0491-ppc_booke_add_isync_after_changing_debug_registers.patch.mvlpatch
Patch305: pro-0492-add_include_of_netdevice_h_to_etherdevice_h.patch.mvlpatch
Patch306: pro-0493-gianfar_crc32dep.patch.mvlpatch
Patch307: pro-0494-ppc32_mpc8548_pex.patch.mvlpatch
Patch308: pro-0495-gianfar_xmitirqstate.patch.mvlpatch
Patch309: pro-0496-ppc_booke_wdt_handlerfixup.patch.mvlpatch
Patch310: pro-0497-ppc32_mpc8548cds_fix_board_reset.patch.mvlpatch
Patch311: pro-0498-net_sched_debug_fixup.mvlpatch
Patch312: pro-0499-ppc32_rt_remap_kmap_atomic_functions.mvlpatch
Patch313: pro-0500-ppc32_rt_enable_interrupts_in__exception.mvlpatch
Patch314: pro-0501-kgdb_mrproper_cleanup.mvlpatch
Patch315: pro-0502-kgdb_8520_dep_fix.mvlpatch
Patch316: pro-0503-ltt_kernel_tid.mvlpatch
Patch317: pro-0504-__wait_on_freeing_inode_fix.mvlpatch
Patch318: pro-0505-rst_ip_conntrack_handling.mvlpatch
Patch319: pro-0506-ppc_fix_timekeeping.mvlpatch
Patch320: pro-0507-usb_ehci_shutdown.mvlpatch
Patch321: pro-0508-83xx_Kconfig_cleanup.mvlpatch
Patch322: pro-0509-83xx_to_syslib.mvlpatch
Patch323: pro-0510-ipic_off_by_one_fix.mvlpatch
Patch324: pro-0511-add_ds1374_rtc_chip.mvlpatch
Patch325: pro-0512-ds1374_asm_rtc_fix.mvlpatch
Patch326: pro-0513-ds1374_workqueue.mvlpatch
Patch327: pro-0514-mpc83xx_ipic_pend_fix.mvlpatch
Patch328: pro-0515-mpc834x_usb_offset_fix.mvlpatch
Patch329: pro-0516-mpc834x_kconfig_mismerge_fix.mvlpatch
Patch330: pro-0517-mpc834x_sys_config_update.mvlpatch
Patch331: pro-0518-ppc32-83xx-phy_platform_update.mvlpatch
Patch332: pro-0519-8349_pci_prefetch_fix.mvlpatch
Patch333: pro-0520-ehci_pci_splitout.mvlpatch
Patch334: pro-0521-usb-ehci-for-freescale-83xx.mvlpatch
Patch335: pro-0522-usb-ehci-and-freescale-83xx-quirk.mvlpatch
Patch336: pro-0523-8349_add_usb_host.mvlpatch
Patch337: pro-0524-ppc83xx-fix_platform_device_initialization-8250.mvlpatch
Patch338: pro-0525-ppc83xx_gianfar_pass_mdio_bus_params_for_new_driver.mvlpatch
Patch339: pro-0526-mpc83xx_kgdb_fix.mvlpatch
Patch340: pro-0527-ppc_emac_typo_fix.mvlpatch
Patch341: pro-0528-matroxfb-fix-big-endian.mvlpatch
Patch342: pro-0529-mpc8540ads_kgdb_fix.mvlpatch
Patch343: pro-0530-mpc8540ads_serial_text_debug_fix.mvlpatch
Patch344: pro-0531-mpc8540ads_phy_disable_force_mode.mvlpatch
Patch345: pro-0532-ppc32_405gpr_pci_region1_en.mvlpatch
Patch346: pro-0533-touch_watchdogs.mvlpatch
Patch347: pro-0534-kgdb_need_nmi_watchdog_h.mvlpatch
Patch348: pro-0535-kgdboe_touch_watchdogs.mvlpatch
Patch349: pro-0536-kgdb_serial_touch_watchdogs.mvlpatch
Patch350: pro-0537-Kill_signed_chars.mvlpatch
Patch351: pro-0538-kbuild_signed_char_fixes_for_scripts.mvlpatch
Patch352: pro-0539-fix_gcc4.1_build_failure_on_xconfig.mvlpatch
Patch353: pro-0540-kbuild_signed_unsigned_char_fix_for_make_menuconfig.mvlpatch
Patch354: pro-0541-rw_verify_area_error_relax.mvlpatch
Patch355: pro-0542-fix_FRD_and_MIPS_CPU_TIMER_config.mvlpatch
Patch356: pro-0543-pro_mips_pnx8550_hrt_fix.mvlpatch
Patch357: pro-0544-pro_mips_pnx8550_external_pci.mvlpatch
Patch358: pro-0545-fs_locks_fix_lease_init_CVE_2006_1859_60.mvlpatch
Patch359: pro-0546-2421_i386_add_memory_clobbers_to_syscall_macros.mvlpatch
Patch360: pro-0547-2138_x86_Make__syscallX_macros_compile_in_PIC_mode.mvlpatch
Patch361: pro-0548-lsm_add_missing_hook_to_do_compat_readv_writev_CVE_2006_1856.mvlpatch
Patch362: pro-0549-remove_bogus_BUG_in_exit_CVE_2006_1855.mvlpatch
Patch363: pro-0550-scsi_sg_do_not_set_VM_IO_flag_on_mmaped_pages_CVE_2006_1528.mvlpatch
Patch364: pro-0551-netfilter_fix_do_add_counters_race_CVE_2006_0039.mvlpatch
Patch365: pro-0552-common_netfilter_fix_do_add_counters_race_ipv4_CVE_2006_0039.mvlpatch
Patch366: pro-0553-driver_core_Separate_platform_device_name_from_platform_device_number.mvlpatch
Patch367: pro-0554-generic_file_buffered_write.mvlpatch
Patch368: pro-0555-ide_unexport_atapi_byte_io.mvlpatch
Patch369: pro-0556-ide_cleanup_globals.mvlpatch
Patch370: pro-0557-ide_dump_atapi_status_fix.mvlpatch
Patch371: pro-0558-ide_flush_cache_error_lba_fix.mvlpatch
Patch372: pro-0559-ide_claim_extra_dma_ports_regardless_of_channel.mvlpatch
Patch373: pro-0560-ide_remove_dma_base2_field_from_ide_hwif_t.mvlpatch
Patch374: pro-0561-ide_always_release_dma_engine.mvlpatch
Patch375: pro-0562-common_kgdb_8250_ttyS1_fix.mvlpatch
Patch376: pro-0563-gen_init_cpio_symlink_pipe_and_socket_support.mvlpatch
Patch377: pro-0564-initramfs_unprivileged_image_creation.mvlpatch
Patch378: pro-0565-gen_init_cpio_When_outputting_a_buffer_don_t_use_char_at_a_time_I_O.mvlpatch
Patch379: pro-0566-cpm_uart_Fix_2nd_serial_port_on_MPC8560_ADS.mvlpatch
Patch380: pro-0567-common_phy_layer_aneg_enable.mvlpatch
Patch381: pro-0568-common_ppc32_pal_support_fixed_phy.mvlpatch
Patch382: pro-0569-common_ppc32_fs_enet_use_pal.mvlpatch
Patch383: pro-0570-common_ppc32_fs_enet_pd_8560ads.mvlpatch
Patch384: pro-0571-common_ppc32_mpc8560ads_rt_cpm2irq.mvlpatch
Patch385: pro-0572-0165_stop_CompactFlash_devices_being_marked_as_removable.mvlpatch
Patch386: pro-0573-ppc32_busid_format_change.mvlpatch
Patch387: pro-0574-ide_actually_honor_min_cycle_time.mvlpatch
Patch388: pro-0575-common_kgdb_oe_cpm_compile_fix.mvlpatch
Patch389: pro-0576-fix_alt_sysrq_deadlock.mvlpatch
Patch390: pro-0577-common_fs_enet_phy_fix.mvlpatch
Patch391: pro-0578-common_kgdb_ppc32_singlestep_fix.mvlpatch
Patch392: pro-0579-common_ppc32_mpc8560ads_disable_force_mode.mvlpatch
Patch393: pro-0580-pro_serial_cpm_uart_pq2fads.mvlpatch
Patch394: pro-0581-common_ppc32_mpc8560ads_cpm_uart.mvlpatch
Patch395: pro-0582-common_ppc32_mpc8560ads_cpm_uart_pins.mvlpatch
Patch396: pro-0583-common_ppc32_cpm_uart_kgdb_fix.mvlpatch
Patch397: pro-0584-pdc202xx_old_remove_obsolete_busproc.mvlpatch
Patch398: pro-0585-piix_remove_mwdma0_check.mvlpatch
Patch399: pro-0586-0434_ext3_EA_Ext_23_no_spare_xattr_handler_slots_needed.mvlpatch
Patch400: pro-0587-0554_cs89x0_collect_tx_bytes_statistics.mvlpatch
Patch401: pro-0588-0530_IRDA_out_of_range_array_access.mvlpatch
Patch402: pro-0589-common_rt_pi_list_add_list_del_init.mvlpatch
Patch403: pro-0590-ide_dma_speed_fixes.mvlpatch
Patch404: pro-0591-ide_dma_speed_warning_fix.mvlpatch
Patch405: pro-0592-add_ICH7_support.mvlpatch
Patch406: pro-0593-piix_add_82801DBL_support.mvlpatch
Patch407: pro-0594-piix_remove_init_setup_handler.mvlpatch
Patch408: pro-0595-piix_remove_useless_comment.mvlpatch
Patch409: pro-0596-piix_merge_header.mvlpatch
Patch410: pro-0597-piix_fix_82371MX_enablebits.mvlpatch
Patch411: pro-0598-piix_slc90e66_pio_fallback_fix.mvlpatch
Patch412: pro-0599-Fix_oops_in_sysfs_hash_and_remove_file.mvlpatch
Patch413: pro-0600-sysfs_remove_dir_needs_to_invalidate_the_dentry.mvlpatch
Patch414: pro-0601-mtd_cfi_init_wait_queue_in_chip_struct.mvlpatch
Patch415: pro-0602-common_jffs2_gc_1.160_backport.mvlpatch
Patch416: pro-0603-pro_ppc32_add_platform_device_functions.mvlpatch
Patch417: pro-0604-pro_ppc32_adds_mpc885ads_mpc866ads_mpc8272ads_specific_platform_stuff.mvlpatch
Patch418: pro-0605-pro_ppc32_mpc8xx_irda.mvlpatch
Patch419: pro-0606-pro_ppc32_i2c_885_866_support.mvlpatch
Patch420: pro-0607-pro_ppc32_fs_enet_use_pal.mvlpatch
Patch421: pro-0608-pro_mpc8272_fec_setup.mvlpatch
Patch422: pro-0609-common_i386_io_apic_cache_build_fix.mvlpatch
Patch423: pro-0610-shmat.mvlpatch
Patch424: pro-0611-mtd_cfi_cmdset_0001_fix_range_for_cache_invalidation.mvlpatch
Patch425: pro-0612-common_remove_scsi_timer_race.mvlpatch
Patch426: pro-0613-common_scsi_memory_deadlock.mvlpatch
Patch427: pro-0614-common_scsi_module_panic.mvlpatch
Patch428: pro-0615-pro_usb_dev_serial_gadget_criticalsections_fix.mvlpatch
Patch429: pro-0616-pro_common_driver_bus_sem_fix.mvlpatch
Patch430: pro-0617-common_kgdb_serial.mvlpatch
Patch431: pro-0618-common_ppc64_boot_makefile.mvlpatch
Patch432: pro-0619-common_bit_spinlocks_preempt.mvlpatch
Patch433: pro-0620-common_fix_pfkeyv2_type.mvlpatch
Patch434: pro-0621-pro_mips_rdhwr_fix.mvlpatch
Patch435: pro-0622-pro_mips_fp_branch_emulation_fix.mvlpatch
Patch436: pro-0623-pro_mips_rbhma4x00_rtl8019as_init_fix.mvlpatch
Patch437: pro-0624-pro_mips_fix_non_linear_memory_mapping.mvlpatch
Patch438: pro-0625-pro_mips_hrt_fix.mvlpatch
Patch439: pro-0626-pro_mips_db15x0_noncoherent_dma.mvlpatch
Patch440: pro-0627-pro_mips_db1xx0_platform.mvlpatch
Patch441: pro-0628-pro_mips_au1xx0_eth_fix_tx_stats.mvlpatch
Patch442: pro-0629-pro_mips_au1000_eth_probe_rewrite.mvlpatch
Patch443: pro-0630-pro_hpt366_driver_reworked.mvlpatch
Patch444: pro-0631-pro_mips_36bit_phys_addr_swap_entry_fix.mvlpatch
Patch445: pro-0632-pro_mips_36bit_phys_addr_sys_mprotect_fix.mvlpatch
Patch446: pro-0633-pro_mips_36bit_phys_addr_really_mark_pte_dirty.mvlpatch
Patch447: pro-0634-pro_mips_36bit_phys_addr_really_mark_buddy_pte_global.mvlpatch
Patch448: pro-0635-pro_mips_au15x0_fix_counter_frequency.mvlpatch
Patch449: pro-0636-pro_mips_au1x00_alsa_spinlock_fix.mvlpatch
Patch450: pro-0637-pro_mips_au1x00_alsa_ac97_memory_mapped.mvlpatch
Patch451: pro-0638-pro_mips_au1x00_retain_od_bit.mvlpatch
Patch452: pro-0639-pro_mips_au1500_work_around_unknown_errata.mvlpatch
Patch453: pro-0640-common_frd_remove_extern_declarations.mvlpatch
Patch454: pro-0641-pro_ppc_xilinx_ml403_to_ml40x.mvlpatch
Patch455: pro-0642-pro_ppc_xilinx_edk_to_common.mvlpatch
Patch456: pro-0643-pro_ppc_xilinx_ethtool_support_to_emac.mvlpatch
Patch457: pro-0644-pro_ppc_xilinx_gpio_dual_channel.mvlpatch
Patch458: pro-0645-pro_ppc_xilinx_add_xparameters_defaults.mvlpatch
Patch459: pro-0646-pro_ppc_xilinx_temac_fixes.mvlpatch
Patch460: pro-0647-pro_ppc_xilinx_mac_eepro.mvlpatch
Patch461: pro-0648-pro_ppc_xilinx_kconfig.mvlpatch
Patch462: pro-0649-pro_ppc_xilinx_emac_fixes.mvlpatch
Patch463: pro-0650-pro_ppc_xilinx_edk_new_emac.mvlpatch
Patch464: pro-0651-pro_ppc_xilinx_edk_new_gpio.mvlpatch
Patch465: pro-0652-pro_ppc_xilinx_edk_new_iic.mvlpatch
Patch466: pro-0653-pro_ppc_xilinx_edk_new_ps2.mvlpatch
Patch467: pro-0654-pro_ppc_xilinx_edk_new_sysace.mvlpatch
Patch468: pro-0655-pro_ppc_xilinx_edk_new_uartlite.mvlpatch
Patch469: pro-0656-SNMP_NAT_fix_memory_corruption_CVE_2006_2444.mvlpatch
Patch470: pro-0657-pro_ppc32_pcmcia_8xx.mvlpatch
Patch471: pro-0658-pro_ppc32_pcmcia_update.mvlpatch
Patch472: pro-0659-pro_ppc32_8xx_pcmcia_885_866_support.mvlpatch
Patch473: pro-0660-pro_cpm_uart_kgdb_8xx.mvlpatch
Patch474: pro-0661-pro_ppc32_mpc885ads_mpc86xads_mtd.mvlpatch
Patch475: pro-0662-pro_ppc32_mpc8xx_i2c_algo.mvlpatch
Patch476: pro-0663-pro_ppc32_mm_dcbst_fix.mvlpatch
Patch477: pro-0664-pro_ppc32_pcmcia_8xx_fix_build_error.mvlpatch
Patch478: pro-0665-pro_ppc32_rpx_i2c_platform_device.mvlpatch
Patch479: pro-0666-pro_ppc32_pcmcia_kconfig_cleanup.mvlpatch
Patch480: pro-0667-pro_ppc32_fs_enet_pd_885ads.mvlpatch
Patch481: pro-0668-pro_mpc885_fec_setup_fix.mvlpatch
Patch482: pro-0669-pro_ppc32_mm_fix_tlbie.mvlpatch
Patch483: pro-0670-common_fix_io_apic_cache_with_irq_threads.mvlpatch
Patch484: pro-0671-common_ide_cs_suspend_resume.mvlpatch
Patch485: pro-0672-common_ppc32_mpc8540ads_phy_disable_force_mode_fix.mvlpatch
Patch486: pro-0673-common_i386_hrt_monotonic_clock_fix.mvlpatch
Patch487: pro-0674-common_rt_fix_load_in_softirqs.mvlpatch
Patch488: pro-0675-ppc32_dont_sleep_in_flush_dcache_icache_page.mvlpatch
Patch489: pro-0676-common_ext3_remove_bit_spinlocks.mvlpatch
Patch490: pro-0677-common_pxa27x_pcmcia_suspend_resume.mvlpatch
Patch491: pro-0678-common_orinoco_cs_suspend_resume.mvlpatch
Patch492: pro-0679-common_usb_gadget_file_storage_short_no_ok.mvlpatch
Patch493: pro-0680-common_ext3_handle_attempted_delete_of_bitmap_blocks.mvlpatch
Patch494: pro-0681-common_ext3_handle_attempted_double_delete_of_metadata.mvlpatch
Patch495: pro-0682-common_BUG_on_error_handlings_in_Ext3_under_I_O_failure_condition.mvlpatch
Patch496: pro-0683-common_jbd_journal_overflow_fix_2.mvlpatch
Patch497: pro-0684-common_JBD_reduce_stack_and_number_of_journal_descriptors.mvlpatch
Patch498: pro-0685-common_JBD_log_space_management_optimization.mvlpatch
Patch499: pro-0686-common_Factor_out_phase_6_of_journal_commit_transaction.mvlpatch
Patch500: pro-0687-common_ext3_jbd_race_releasing_in_use_journal_heads.mvlpatch
Patch501: pro-0688-common_ext3_fix_journal_unmap_buffer_race.mvlpatch
Patch502: pro-0689-common_jbd_dirty_buffer_leak_fix.mvlpatch
Patch503: pro-0690-common_ext3_fix_list_scanning_in___cleanup_transaction.mvlpatch
Patch504: pro-0691-common_ext3_fix_log_do_checkpoint_assertion_failure.mvlpatch
Patch505: pro-0692-common_kjournald_missing_JFS_UNMOUNT_check.mvlpatch
Patch506: pro-0693-common_Fix_JBD_race_in_t_forget_list_handling.mvlpatch
Patch507: pro-0694-common_Change_ll_rw_block_calls_in_JBD.mvlpatch
Patch508: pro-0695-common_Fix_race_in_do_get_write_access.mvlpatch
Patch509: pro-0696-common_jbd_catchup_integration.mvlpatch
Patch510: pro-0697-common_marker_inode.mvlpatch
Patch511: pro-0698-remove_ARM_specific_set_pmd.mvlpatch
Patch512: pro-0699-add_ARM_inline_functions_to_find_pmd_from_virt.mvlpatch
Patch513: pro-0700-common_arm_dma_consistent.mvlpatch
Patch514: pro-0701-common_arm_preempt_rt_irq_sa_interrupt.mvlpatch
Patch515: pro-0702-common_arm_default_eabi_on_non_v4.mvlpatch
Patch516: pro-0703-0534_ARM_3477_1_ARM_EABI_undefine_removed_syscalls.mvlpatch
Patch517: pro-0704-common_ARM_eABI_unistd_h_uclibc.mvlpatch
Patch518: pro-0705-ARM_3495_1_EABI_undefine_removed_syscalls_for_userspace_only.mvlpatch
Patch519: pro-0706-ARM_3486_1_Mark_memory_as_clobbered_by_the_ARM__syscallX_macros.mvlpatch
Patch520: pro-0707-common_arm_mach_types_060213.mvlpatch
Patch521: pro-0708-common_arm_mach_types_060518.mvlpatch
Patch522: pro-0709-common_ltt_arm_oabi_fix.mvlpatch
Patch523: pro-0710-ARM_EABI_more_64_bit_aligned_stack_fixes.mvlpatch
Patch524: pro-0711-ARM_fix_PXA27x_DMA_allocation_priority.mvlpatch
Patch525: pro-0712-0147_ARM_3470_1_Clear_the_HWCAP_bits_for_the_disabled_kernel_features.mvlpatch
Patch526: pro-0713-common_ARM_DEBUG_STACKOVERFLOW.mvlpatch
Patch527: pro-0714-0399_ARM_2796_1_Fix_ARMv5_TEJ_check_in_MMU_initalization.mvlpatch
Patch528: pro-0715-0878_ARM_Simplify_setup_mm_for_reboot.mvlpatch
Patch529: pro-0716-0081_ARM_Fix_XScale_PMD_setting.mvlpatch
Patch530: pro-0717-common_arm_eabi_kconfig_help.mvlpatch
Patch531: pro-0718-common_arm_eabi_slab_debug.mvlpatch
Patch532: pro-0719-common_fix_ARM_preempt_schedule_irq_recursion.mvlpatch
Patch533: pro-0720-ARM_3626_1_ARM_EABI_fix_syscall_restarting.mvlpatch
Patch534: pro-0721-fix_silly_ARM_non_EABI_build_error.mvlpatch
Patch535: pro-0722-pro_arm_omap5912_osk_audio.mvlpatch
Patch536: pro-0723-common_arm_kgdb_longjmp_cpsr_restore.mvlpatch
Patch537: pro-0724-common_usb_gadget_chips_update.mvlpatch
Patch538: pro-0725-common_jffs2_autoplace_erasedcheck.mvlpatch
Patch539: pro-0726-common_yaffs1_deprecate.mvlpatch
Patch540: pro-0727-common_yaffs2.mvlpatch
Patch541: pro-0728-common_yaffs_noerasedtagsecc.mvlpatch
Patch542: pro-0729-common_yaffs2_enable_complex_oob.mvlpatch
Patch543: pro-0730-common_yaffs_losetup.mvlpatch
Patch544: pro-0731-common_yaffs_readdir_rewind.mvlpatch
Patch545: pro-0732-common_yaffs_chunk_erased_check_disabled.mvlpatch
Patch546: pro-0733-common_yaffs_rt_lock_held.mvlpatch
Patch547: pro-0734-common_yaffs_umount_flush.mvlpatch
Patch548: pro-0735-common_yaffs_kswapd_deadlock.mvlpatch
Patch549: pro-0736-common_yaffs_needs_mtd.mvlpatch
Patch550: pro-0737-common_mmc_v4.mvlpatch
Patch551: pro-0738-spi_1_framework.mvlpatch
Patch552: pro-0739-spi_2_7846.mvlpatch
Patch553: pro-0740-spi_3_mtd_dataflash.mvlpatch
Patch554: pro-0741-spi_4_add_spi_driver_structure.mvlpatch
Patch555: pro-0742-spi_5_core_tweaks.mvlpatch
Patch556: pro-0743-spi_6_ads7836_uses_spi_driver.mvlpatch
Patch557: pro-0744-spi_7_bitbang_driver.mvlpatch
Patch558: pro-0745-spi_8_m25_serial_flash.mvlpatch
Patch559: pro-0746-spi_9_linked_lists_instead_of_arrays.mvlpatch
Patch560: pro-0747-spi_10_misc_fixes.mvlpatch
Patch561: pro-0748-spi_11_removal_fastcall_crap.mvlpatch
Patch562: pro-0749-spi_12_butterfly.mvlpatch
Patch563: pro-0750-common_spi_fixes.mvlpatch
Patch564: pro-0751-arm_ptrace_singlestep_bx_blx.mvlpatch
Patch565: pro-0752-mmc_sd_support_protocol.mvlpatch
Patch566: pro-0753-mmc_add_mmc_hostname_macro.mvlpatch
Patch567: pro-0754-mmc_add_class_devices.mvlpatch
Patch568: pro-0755-mmc_ios_for_mmc_chip_select.mvlpatch
Patch569: pro-0756-sd_initialize_SD_cards.mvlpatch
Patch570: pro-0757-sd_read_only_switch.mvlpatch
Patch571: pro-0758-sd_scr_register.mvlpatch
Patch572: pro-0759-sd_scr_in_sysfs.mvlpatch
Patch573: pro-0760-sd_4_bit_bus.mvlpatch
Patch574: pro-0761-sd_copyright_notice.mvlpatch
Patch575: pro-0762-mmc_allow_detection_removal_to_be_delayed.mvlpatch
Patch576: pro-0763-arm_3120_1_fix_mmc_sd_card_driver_resume_deadlock.mvlpatch
Patch577: pro-0764-common_arm_omap_mmc_detection_removal_update.mvlpatch
Patch578: pro-0765-pro_davinci_core_kernel.mvlpatch
Patch579: pro-0766-pro_davinci_network.mvlpatch
Patch580: pro-0767-pro_davinci_i2c.mvlpatch
Patch581: pro-0768-pro_davinci_audio.mvlpatch
Patch582: pro-0769-pro_davinci_flash.mvlpatch
Patch583: pro-0770-pro_davinci_ide.mvlpatch
Patch584: pro-0771-pro_davinci_mmc.mvlpatch
Patch585: pro-0772-pro_davinci_rtc.mvlpatch
Patch586: pro-0773-pro_davinci_usb.mvlpatch
Patch587: pro-0774-pro_davinci_video_in.mvlpatch
Patch588: pro-0775-pro_davinci_video_out.mvlpatch
Patch589: pro-0776-pro_davinci_enable_config_swap.mvlpatch
Patch590: pro-0777-pro_davinci_hrt_fix_timer_period.mvlpatch
Patch591: pro-0778-pro_davinci_add_frd_support.mvlpatch
Patch592: pro-0779-pro_davinci_config_ilat.mvlpatch
Patch593: pro-0780-pro_arm_davinci_usb_preempt_rt_fix.mvlpatch
Patch594: pro-0781-pro_arm_davinci_vpss_ti_fixes.mvlpatch
Patch595: pro-0782-pro_arm_davinci_musb_dma_ping_s22.mvlpatch
Patch596: pro-0783-pro_arm_davinci_mmc_detection_removal_update.mvlpatch
Patch597: pro-0784-pro_arm_davinci_emac_locking.mvlpatch
Patch598: pro-0785-pro_arm_davinci_reboot_fix.mvlpatch
Patch599: pro-0786-pro_fix_long_patches_link_line.mvlpatch
Patch600: pro-0787-pro_ppc_xilinx_edk_new_emac_sgdma_fix.mvlpatch
Patch601: pro-0788-fix_memory_leak_with_file_leases.mvlpatch
Patch602: pro-0789-fix_oops_on_ipv6_route_lookup.mvlpatch
Patch603: pro-0790-fix_xfrm_tunnel_oops_with_large_packets.mvlpatch
Patch604: pro-0791-fix_dst_destroy_race.mvlpatch
Patch605: pro-0792-oprofile_add_check_user_page_readable.mvlpatch
Patch606: pro-0793-get_user_pages_kill_get_page_map.mvlpatch
Patch607: pro-0794-check_user_page_readable_deadlock_fix.mvlpatch
Patch608: pro-0795-get_user_pages_race_for_write_access.mvlpatch
Patch609: pro-0796-fix_scheduler_deadlock.mvlpatch
Patch610: pro-0797-fix_kill_proc_info_vs_clone_thread_race.mvlpatch
Patch611: pro-0798-fork_fix_race_in_setting_childs_pgrp_and_tty.mvlpatch
Patch612: pro-0799-fix_signal_live_leak_in_copy_process.mvlpatch
Patch613: pro-0800-preempt_race_in_getppid.mvlpatch
Patch614: pro-0801-common_kgdb_cross_hang.mvlpatch
Patch615: pro-0802-pro_mips_nec_emma2rh_base.mvlpatch
Patch616: pro-0803-pro_mips_nec_emma2rh_pci.mvlpatch
Patch617: pro-0804-pro_mips_nec_emma2rh_i2c.mvlpatch
Patch618: pro-0805-pro_mips_nec_emma2rh_ramdisk.mvlpatch
Patch619: pro-0806-pro_mips_nec_emma2rh_kgdb.mvlpatch
Patch620: pro-0807-pro_ppc_xilinx_ml300_rename_ts.mvlpatch
Patch621: pro-0808-pro_ppc_xilinx_sysace_fix.mvlpatch
Patch622: pro-0809-pro_create_dev_console.mvlpatch
Patch623: pro-0810-pro_add_xilinx_ml40x_defconfig.mvlpatch
Patch624: pro-0811-dont_autoreap_traced_children_CVE_2005_3784.mvlpatch
Patch625: pro-0812-fix_ptrace_self_attach_rule_CVE_2005_3783.mvlpatch
Patch626: pro-0813-vfs_local_denial_of_service_with_file_leases_CVE_2005_3857.mvlpatch
Patch627: pro-0814-pro_ppc32_4xx_kgdb_exception_stack_workaround.mvlpatch
Patch628: pro-0815-pro_ppc_xilinx_gpio_dual_channel_fix.mvlpatch
Patch629: pro-0816-mv643xx_eth_skb_leak.mvlpatch
Patch630: pro-0817-mv643xx_eth_shared_irq.mvlpatch
Patch631: pro-0818-mv643xx_eth_ppc_iomem_annotations.mvlpatch
Patch632: pro-0819-mv643xx_eth_hw_checksum_workaround.mvlpatch
Patch633: pro-0820-mv643xx_fix_outstanding_skb_counter.mvlpatch
Patch634: pro-0821-mv643xx_fix_promiscuous_mode.mvlpatch
Patch635: pro-0822-mv643xx_eth_sram_printk.mvlpatch
Patch636: pro-0823-mv643xx_eth_include_ip.h_and_in.h.mvlpatch
Patch637: pro-0824-mv643xx_eth_rx_buffer_8_byte_alignment.mvlpatch
Patch638: pro-0825-mv643xx_eth_fix_small_unaligned_fragments.mvlpatch
Patch639: pro-0826-mv643xx_eth_iounmap_correct_sram_buffer.mvlpatch
Patch640: pro-0827-mv643xx_eth_minimal_spinlocks.mvlpatch
Patch641: pro-0828-mv643xx_eth_hw_checksum_only_ipv4.mvlpatch
Patch642: pro-0829-mv643xx_eth_fix_transmit_skb_accounting.mvlpatch
Patch643: pro-0830-mv643xx_eth_merge_open_and_stop_helpers.mvlpatch
Patch644: pro-0831-mv643xx_eth_remove_masking_of_extended_intr.mvlpatch
Patch645: pro-0832-common_mv643xx_eth_whitespace_and_comment_sync_with_community.mvlpatch
Patch646: pro-0833-common_mv643xx_eth_fix_spinlock_recursion.mvlpatch
Patch647: pro-0834-common_mv643xx_eth_update_last_rx.mvlpatch
Patch648: pro-0835-common_mv643xx_eth_whitespace_cleanup_a.mvlpatch
Patch649: pro-0836-common_mv643xx_eth_fix_module_build.mvlpatch
Patch650: pro-0837-common_mv643xx_eth_remove_port_mac_addr.mvlpatch
Patch651: pro-0838-common_mv643xx_eth_merge_unicast_multicast_filter.mvlpatch
Patch652: pro-0839-common_mv643xx_eth_rename_tx_ring_skbs.mvlpatch
Patch653: pro-0840-common_mv643xx_eth_consistent_port_enable_disable.mvlpatch
Patch654: pro-0841-common_mv643xx_eth_use_mii_library_for_phy.mvlpatch
Patch655: pro-0842-common_mv643xx_eth_use_mii_library_for_ethtool.mvlpatch
Patch656: pro-0843-common_mv643xx_eth_cleanup_platform_data.mvlpatch
Patch657: pro-0844-common_mv643xx_eth_select_mii.mvlpatch
Patch658: pro-0845-common_mv643xx_eth_fix_misplaced_parenthesis_in_mv643xx_eth_port_disable_rx.mvlpatch
Patch659: pro-0846-common_ppc32_mv64x60_uart_sdma_fix.mvlpatch
Patch660: pro-0847-common_mv643xx_eth_Wait_for_carrier_ok_on_open.mvlpatch
Patch661: pro-0848-undo_do_readv_writev_behavior_change.mvlpatch
Patch662: pro-0849-common_fix_update_times.mvlpatch
Patch663: pro-0850-ide_cleanup_eighty_ninty_three.mvlpatch
Patch664: pro-0851-ide_fix_SATA_drive_cable_detect.mvlpatch
Patch665: pro-0852-common_ppc32_ibm_emac_kgdb_fix.mvlpatch
Patch666: pro-0853-net_marvell_sysfs_symlink_fix.mvlpatch
Patch667: pro-0854-common_mv643xx_eth_Clear_int_cause_registers_before_calling_request_irq.mvlpatch
Patch668: pro-0855-fix_stop_signal_race.mvlpatch
Patch669: pro-0856-move_group_exit_flag_into_signal_struct_flags_word.mvlpatch
Patch670: pro-0857-NPTL_signal_delivery_deadlock_fix.mvlpatch
Patch671: pro-0858-common_mv643eth_carrier_init_fix.mvlpatch
Patch672: pro-0859-common_ppc32_rt_highmem_fix.mvlpatch
Patch673: pro-0860-pro_ppc32_pq2fads_support.mvlpatch
Patch674: pro-0861-pro_usb_gadget_mpc8272_udc_config_fixes.mvlpatch
Patch675: pro-0862-pro_usb_gadget_mpc8272_udc_pq2fads.mvlpatch
Patch676: pro-0863-pro_ppc32_pq2_reboot.mvlpatch
Patch677: pro-0864-common_add_hostap_drivers_rm_wireless.h_for_commuity_update.mvlpatch
Patch678: pro-0865-Wireless_Extensions_18_aka_WPA.mvlpatch
Patch679: pro-0866-common_mv643xx_eth_carrier_init_fix_fix.mvlpatch
Patch680: pro-0867-0288_SPI_spi_butterfly_restore_lost_deltas.mvlpatch
Patch681: pro-0868-pro_mphysmap_updates.mvlpatch
Patch682: pro-0869-pro_ti_titan_board.mvlpatch
Patch683: pro-0870-pro_ti_titan_mtd.mvlpatch
Patch684: pro-0871-pro_ti_titan_i2c.mvlpatch
Patch685: pro-0872-pro_titan_mac.mvlpatch
Patch686: pro-0873-pro_ti_titan_kgdb_fix.mvlpatch
Patch687: pro-0874-stop_calling_phy_stop_interrupts_twice.mvlpatch
Patch688: pro-0875-common_scsi_adaptec_94xx_unlocks_in_error_path.mvlpatch
Patch689: pro-0876-fix_de_thread_send_group_sigqueue_race.mvlpatch
Patch690: pro-0877-fix_kill_proc_info_vs_fork_theoretical_race.mvlpatch
Patch691: pro-0878-module_strlen_user_race_fix.mvlpatch
Patch692: pro-0879-remove_duplicated_code_from_proc_and_ptrace.mvlpatch
Patch693: pro-0880-ptrace_attach_ptrace_traceme_de_thread_race.mvlpatch
Patch694: pro-0881-fix_signedness_issues_in_net_core_filter_c.mvlpatch
Patch695: pro-0882-pro_ppc32_440sp_mal_channels_fix.mvlpatch
Patch696: pro-0883-pro_ppc32_440sp_sram_dcr_fix.mvlpatch
Patch697: pro-0884-pro_ppc32_440sp_cputable_entry.mvlpatch
Patch698: pro-0885-pro_ppc32_440sp_uart2.mvlpatch
Patch699: pro-0886-pro_ppc32_440sp_uic_fixes.mvlpatch
Patch700: pro-0887-pro_ppc32_440sp_pcix_fixes.mvlpatch
Patch701: pro-0888-pro_ppc32_440sp_l2cache.mvlpatch
Patch702: pro-0889-pro_ppc32_440sp_clk_pwr_mgmt.mvlpatch
Patch703: pro-0890-pro_ppc32_440sp_mtd_defs.mvlpatch
Patch704: pro-0891-pro_ppc32_440sp_mtd_map.mvlpatch
Patch705: pro-0892-pro_ppc32_440sp_kgdb_serial.mvlpatch
Patch706: pro-0893-pro_ppc32_440sp_kgdb_single_step_fix.mvlpatch
Patch707: pro-0894-common_powerpc_Fix_machine_check_problem_on_32_bit_kernels_CVE_2006_2448.mvlpatch
Patch708: pro-0895-common_netfilter_sctp_fix_endless_loop_caused_by_0_chunk_length_CVE_2006_3085.mvlpatch
Patch709: pro-0896-sctp_conntrack_fix_crash_triggered_by_packet_without_chunks_CVE_2006_2934.mvlpatch
Patch710: pro-0897-fs_xfs_eagain_bug.mvlpatch
Patch711: pro-0898-pro_arm_davinci_i2c_fix.mvlpatch
Patch712: pro-0899-common_ltt-fix-null-trace-handle-dereference.mvlpatch
Patch713: pro-0900-pro_mips_fix_dcache_aliasing.mvlpatch
Patch714: pro-0901-Add_debugging_check_when_adding_timers.mvlpatch
Patch715: pro-0902-Fix_add_timer_race_in_neigh_add_timer.mvlpatch
Patch716: pro-0903-common_ip_tables_h_c++_fix.mvlpatch
Patch717: pro-0904-common_hrt_fix_tstojiffie_rounding_error.mvlpatch
Patch718: pro-0905-usb_another_workaround_for_cdc_acm.mvlpatch
Patch719: pro-0906-usb_cdc_acm_module_and_zoom_2985_modem.mvlpatch
Patch720: pro-0907-usb_fix_for_open_disconnect_race_in_acm.mvlpatch
Patch721: pro-0908-usb_fix_bug_in_acm_open_function.mvlpatch
Patch722: pro-0909-usb_add_usb_cdc.h.mvlpatch
Patch723: pro-0910-usb_cdc_acm_uses_usb_cdc.h.mvlpatch
Patch724: pro-0911-usb_fix_acm_trouble_with_terminals.mvlpatch
Patch725: pro-0912-usb_export_usb_get_intf_and_usb_put_intf.mvlpatch
Patch726: pro-0913-usb_fix_usb_reference_count_bug_in_cdc_acm_driver.mvlpatch
Patch727: pro-0914-usb_cdc_acm_patch_to_use_kzalloc.mvlpatch
Patch728: pro-0915-usb_converting_cdc_acm_to_a_rinq_queue.mvlpatch
Patch729: pro-0916-usb_fix_oops_in_acm_disconnect.mvlpatch
Patch730: pro-0917-mmc_add_comment_about_GENHD_FL_REMOVABLE_to_mmc_block.mvlpatch
Patch731: pro-0918-mmc_proper_mmc_command_classes_support.mvlpatch
Patch732: pro-0919-mmc_use_command_class_to_determine_read_only_status.mvlpatch
Patch733: pro-0920-mmc_fix_protocol_errors.mvlpatch
Patch734: pro-0921-mmc_proper_check_of_scr_error_code.mvlpatch
Patch735: pro-0922-mmc_set_correct_capacity_for_1024_byte_block_cards.mvlpatch
Patch736: pro-0923-mmc_improve_mmc_card_block_size_selection.mvlpatch
Patch737: pro-0924-mmc_fix_missing_comma.mvlpatch
Patch738: pro-0925-fbcon_save_var_rotate_field_in_struct_display.mvlpatch
Patch739: pro-0926-common_blk_dump_rq_flags_boundary_bug19607.mvlpatch
Patch740: pro-0927-usb_gadget_ether_highspeed_conformance_fix.mvlpatch
Patch741: pro-0928-af_unix_fix_siocinq_for_stream.mvlpatch
Patch742: pro-0929-common_ensure_futex_enabled.mvlpatch
Patch743: pro-0930-common_mtd_core_bounds_fixup.mvlpatch
Patch744: pro-0931-mmc_ensure_correct_mmc_priv_behaviour.mvlpatch
Patch745: pro-0932-mmc_add_mmc_detect_change_delay_support_for_pxamci_driver.mvlpatch
Patch746: pro-0933-common_ppc_kgdb_omit_frame_pointer.mvlpatch
Patch747: pro-0934-Fix_race_condition_in_sk_stream_wait_connect.mvlpatch
Patch748: pro-0935-common_mv643xx_eth_rx_dma_unmap.mvlpatch
Patch749: pro-0936-common_mpsc_interrupt_clear_fix.mvlpatch
Patch750: pro-0937-common_yaffs2_write_return.mvlpatch
Patch751: pro-0938-Fix_deadlock_in_ip6_queue.mvlpatch
Patch752: pro-0939-Fix_SKB_leak_in_ip6_input_finish.mvlpatch
Patch753: pro-0940-ip_route_input_panic_fix.mvlpatch
Patch754: pro-0941-IPV4_Fix_DST_leak_in_icmp_push_reply.mvlpatch
Patch755: pro-0942-common_usb_gadget_rndis_overflow.mvlpatch
Patch756: pro-0943-NET_fix_oops_after_tunnel_module_unload.mvlpatch
Patch757: pro-0944-IPV4_Fix_memory_leak_during_fib_info_hash_expansion.mvlpatch
Patch758: pro-0945-remove_offsetof_from_user_visible_linux_stddef.mvlpatch
Patch759: pro-0946-pro_ppc_prpmc275_platform.mvlpatch
Patch760: pro-0947-pro_ppc_prpmc275_i2c_max6900_rtc.mvlpatch
Patch761: pro-0948-pro_mv64x60_wdt.mvlpatch
Patch762: pro-0949-pro_ppc_prpmc275_kgdb_mpsc_fix.mvlpatch
Patch763: pro-0950-pro_ppc_prpmc275_mtd.mvlpatch
Patch764: pro-0951-common_ppc_mpc8641.mvlpatch
Patch765: pro-0952-SATA_support_for_Intel_ICH7.mvlpatch
Patch766: pro-0953-SATA_AHCI_support_for_Intel_ICH7R.mvlpatch
Patch767: pro-0954-libata_ahci_Add_support_for_ULi_M5288.mvlpatch
Patch768: pro-0955-POWERPC_Add_Vitesse_8244_PHY_for_MPC8641_HPCN_platform.mvlpatch
Patch769: pro-0956-pro_ppc_mpc8641_hpcn.mvlpatch
Patch770: pro-0957-x86_cpuid_missed_cache_entries.mvlpatch
Patch771: pro-0958-common_Mobil_Pentium_4_HT_and_the_NMI.mvlpatch
Patch772: pro-0959-common_i386_x86_64_Fix_SMP_NMI_watchdog_race.mvlpatch
Patch773: pro-0960-common_check_nmi_watchdog_is_broken.mvlpatch
Patch774: pro-0961-common_i386_nmi_watchdog_Merge_check_nmi_watchdog_fixes_from_x86_64.mvlpatch
Patch775: pro-0962-common_x86_64_fix_apic_error_on_bootup.mvlpatch
Patch776: pro-0963-common_ppc_mpc7448_cpu.mvlpatch
Patch777: pro-0964-common_serial_smp_race_fix.mvlpatch
Patch778: pro-0965-gianfar_Fix_sparse_warnings.mvlpatch
Patch779: pro-0966-Fix_locking_in_gianfar.mvlpatch
Patch780: pro-0967-common_net_ibm_emac_sysfs_symlink_fix.mvlpatch
Patch781: pro-0968-common_fix_numeric_overflow_exception_in_tstojiffie.mvlpatch
Patch782: pro-0969-NETFILTER_Wait_until_all_references_to_ip_conntrack_untracked_are_dropped_on_unload.mvlpatch
Patch783: pro-0970-Fix_timer_leak_in_neigh_changeaddr.mvlpatch
Patch784: pro-0971-common_jbd_hang.mvlpatch
Patch785: pro-0972-jbd_split_checkpoint_lists.mvlpatch
Patch786: pro-0973-jbd_fix_transaction_batching.mvlpatch
Patch787: pro-0974-pro_ppc32_rheap_grow_fix.mvlpatch
Patch788: pro-0975-pro_ppc32_rheap_align_fix.mvlpatch
Patch789: pro-0976-pro_ppc32_add_mpc8360.mvlpatch
Patch790: pro-0977-pro_ppc32_8360_qe_irq_fix.mvlpatch
Patch791: pro-0978-pro_ppc32_8360_phy_irq_fix.mvlpatch
Patch792: pro-0979-common_rt_drivers_fix_ibm_emac.mvlpatch
Patch793: pro-0980-pro_mips_vr41xx_calc_clock_anytime.patch.mvlpatch
Patch794: pro-0981-pro_mips_vr41xx_spare_timer_init.mvlpatch
Patch795: pro-0982-pro_mips_vr41xx_rtc.mvlpatch
Patch796: pro-0983-pro_mips_vr41xx_update_pci.mvlpatch
Patch797: pro-0984-pro_mips_vr41xx_gpio.mvlpatch
Patch798: pro-0985-pro_mips_vr41xx_rm_obsolete_giu.mvlpatch
Patch799: pro-0986-pro_mips_vr41xx_update_icu.mvlpatch
Patch800: pro-0987-pro_mips_cmbvr4133_serial_fixes.mvlpatch
Patch801: pro-0988-pro_mips_cmbvr4133_rockhopper_irq_fixes.mvlpatch
Patch802: pro-0989-pro_mips_cmbvr4133_defconfig.mvlpatch
Patch803: pro-0990-pro_mips_cmbvr4133_serio_irqs.mvlpatch
Patch804: pro-0991-pro_mips_vr41xx_remove_timex.mvlpatch
Patch805: pro-0992-pro_mips_cmbvr4133_timer_irq.mvlpatch
Patch806: pro-0993-pro_mips_cmbvr4133_m1535plus_init.mvlpatch
Patch807: pro-0994-pro_mips_vr41xx_kgdb_serial.mvlpatch
Patch808: pro-0995-pro_mips_cmbvr4133_alim15x3.mvlpatch
Patch809: pro-0996-pro_mips_cmbvr4133_usb_irq.mvlpatch
Patch810: pro-0997-pro_mips_vr4133_gpio_regs_fix.mvlpatch
Patch811: pro-0998-pro_mips_cmbvr4133_candy_eth.mvlpatch
Patch812: pro-0999-pro_mips_cmbvr4133_ide.mvlpatch
Patch813: pro-1000-pro_mips_cmbvr4133_raw_ops.mvlpatch
Patch814: pro-1001-pro_mips_vr41xx_rt.mvlpatch
Patch815: pro-1002-pro_mips_cmbvr4133_i2c.mvlpatch
Patch816: pro-1003-pro_mips_cmbvr4133_ricoh_rtc.mvlpatch
Patch817: pro-1004-pro_mips_vr4133_erratum15_fix.mvlpatch
Patch818: pro-1005-pro_ide_lba48_dma_check_fix.mvlpatch
Patch819: pro-1006-pro_ide_alim15x3_no_lba48_dma_fix.mvlpatch
Patch820: pro-1007-common_ltt_new_event_before_tracedaemon.mvlpatch
Patch821: pro-1008-common_syncppp_buggy_protocol_fix.mvlpatch
Patch822: pro-1009-pro_arm_davinci_defconfig_warnings.mvlpatch
Patch823: pro-1010-pro_arm_davinci_i2c_fix_from_TI.mvlpatch
Patch824: pro-1011-pro_arm_davinci_eth_half_duplex.mvlpatch
Patch825: pro-1012-pro_arm_davinci_nand_clean_unmount.mvlpatch
Patch826: pro-1013-pro_arm_davinci_vpfe_buf_release.mvlpatch
Patch827: pro-1014-pro_arm_davinci_audio_fixes_TI.mvlpatch
Patch828: pro-1015-pro_arm_davinci_usb_ti_updates.mvlpatch
Patch829: pro-1016-pro_arm_davinci_nand_driver_model.mvlpatch
Patch830: pro-1017-pro_v4l_videobuf_compile_fix.mvlpatch
Patch831: pro-1018-ppc64_fix_32_bit_signal_frame_back_link.mvlpatch
Patch832: pro-1019-ethernet_fix_first_packet_goes_out_with_mac.mvlpatch
Patch833: pro-1020-NET_Fix_memory_leak_in_sys__send_recv_msg_w_compat.mvlpatch
Patch834: pro-1021-pro_mips_tx49xx_FIXADDR_TOP.mvlpatch
Patch835: pro-1022-pro_tc86c001_remove_old_ide_driver.mvlpatch
Patch836: pro-1023-pro_tc86c001_ide_driver.mvlpatch
Patch837: pro-1024-pro_tc86c001_make_init_hwif_static.mvlpatch
Patch838: pro-1025-pro_tc86c001_mark_init_chipset_for_hotplug.mvlpatch
Patch839: pro-1026-common_abslock_before_list_empty.mvlpatch
Patch840: pro-1027-common_remove_host_binaries_after_checksetconfig.mvlpatch
Patch841: pro-1028-common_fix_too_long_requested_time.mvlpatch
Patch842: pro-1029-common_do_hardirq_locking.mvlpatch
Patch843: pro-1030-common_rt_remove_special_case_load.mvlpatch
Patch844: pro-1031-common_mtd_ioctl32.mvlpatch
Patch845: pro-1032-common_mtd_jffs2_rt_fix.mvlpatch
Patch846: pro-1033-common_ipv6_flowlabel_stream_fix.mvlpatch
Patch847: pro-1034-IPV6_Support_IPV6_RECV_TCLASS_socket_options_ancillary_data.mvlpatch
Patch848: pro-1035-common_fold_nanosleep_into_clock_nanosleep.mvlpatch
Patch849: pro-1036-common_mtd_nand_prepare_oobbuf_fix.mvlpatch
Patch850: pro-1037-consolidate_sys_ptrace.mvlpatch
Patch851: pro-1038-use_ptrace_get_task_struct_in_various_places.mvlpatch
Patch852: pro-1039-ptrace_attach_ptrace_traceme_de_thread_race_traceme_fix.mvlpatch
Patch853: pro-1040-NETPOLL_pre_fill_skb_pool.mvlpatch
Patch854: pro-1041-IPV6_fix_lockup_via_proc_net_ip6_flowlabel.mvlpatch
Patch855: pro-1042-common_ipv6_recv_tclass_panic_fix.mvlpatch
Patch856: pro-1043-TCP_Fix_sock_orphan_dead_lock.mvlpatch
Patch857: pro-1044-fix_uidhash_lock_RCU_deadlock.mvlpatch
Patch858: pro-1045-Fix_uidhash_lock_RXU_deadlock_fix.mvlpatch
Patch859: pro-1046-pro_mips_mips64_pgtable_64.mvlpatch
Patch860: pro-1047-pro_mips_pnx8550_fix_write_config_byte.mvlpatch
Patch861: pro-1048-common_i2c_eeprom_allow_bigger_sizes.mvlpatch
Patch862: pro-1049-pro_mips_cavium_octeon.mvlpatch
Patch863: pro-1050-pro_mips_cavium_octeon_kgdb.mvlpatch
Patch864: pro-1051-pro_mips_cavium_octeon_hrt.mvlpatch
Patch865: pro-1052-pro_mips_cavium_octeon_16bit_cf.mvlpatch
Patch866: pro-1053-pro_mips_cavium_octeon_cpu_ids.mvlpatch
Patch867: pro-1054-pro_mips_cavium_octeon_pci.mvlpatch
Patch868: pro-1055-pro_mips_cavium_octeon_config.mvlpatch
Patch869: pro-1056-pro_mips_cavium_2Gmem_cf.mvlpatch
Patch870: pro-1057-pro_mips_cavium_2Gmem_hal.mvlpatch
Patch871: pro-1058-pro_mips_cavium_2Gmem_headers.mvlpatch
Patch872: pro-1059-pro_mips_cavium_2Gmem_octeon_info.mvlpatch
Patch873: pro-1060-pro_mips_cavium_2Gmem_setup.mvlpatch
Patch874: pro-1061-pro_mips_cavium_2Gmem_smp.mvlpatch
Patch875: pro-1062-pro_mips_cavium_2Gmem_userio.mvlpatch
Patch876: pro-1063-pro_fix_octeon_thread_pointer_fetch_in_delay_slot.mvlpatch
Patch877: pro-1064-pro_mips_cavium_octeon_partitions.mvlpatch
Patch878: pro-1065-pro_mips_cavium_octeon_rt.mvlpatch
Patch879: pro-1066-pro_mips_cavium_serial_irq.mvlpatch
Patch880: pro-1067-pro_mips_cavium_octeon_memory_fix.mvlpatch
Patch881: pro-1068-pro_mips_cavium_octeon_4Gbpci_fix.mvlpatch
Patch882: pro-1069-pro_mips_cavium_octeon_memfree_fix.mvlpatch
Patch883: pro-1070-pro_mips_cavium_octeon_up_compile.mvlpatch
Patch884: pro-1071-pro_mips_cavium_octeon_kgdb8250_setup.mvlpatch
Patch885: pro-1072-pro_mips_cavium_octeon_ethernet.mvlpatch
Patch886: pro-1073-Fix_sctp_privilege_elevation_CVE_2006_3745.mvlpatch
Patch887: pro-1074-common_CVE_2006_4535_Regression_with_fix_for_SCTP_abort_issue.mvlpatch
Patch888: pro-1075-setitimer_early_fire_fixup.mvlpatch
Patch889: pro-1076-xtensa-architecture-support-for-tensilica-xtensa-part-1.mvlpatch
Patch890: pro-1077-xtensa-architecture-support-for-tensilica-xtensa-part-7.patch.mvlpatch
Patch891: pro-1078-xtensa-architecture-support-for-tensilica-xtensa-part-6.patch.mvlpatch
Patch892: pro-1079-common_xtensa_headers_update.mvlpatch
Patch893: pro-1080-common_xtensa_define_hz_for_userspace.mvlpatch
Patch894: pro-1081-common_xtensa_config_core.mvlpatch
Patch895: pro-1082-common_xtensa_le.mvlpatch
Patch896: pro-1083-common_xtensa_be_fixes.mvlpatch
Patch897: pro-1084-common-add-pfn-arg-for-xtensa-extern-flush_cache_page.mvlpatch
Patch898: pro-1085-xtensa-architecture-support-for-tensilica-xtensa-part-4.mvlpatch
Patch899: pro-1086-xtensa-architecture-support-for-tensilica-xtensa-part-2.mvlpatch
Patch900: pro-1087-xtensa-architecture-support-for-tensilica-xtensa-part-3.mvlpatch
Patch901: pro-1088-xtensa-architecture-support-for-tensilica-xtensa-part-5.mvlpatch
Patch902: pro-1089-xtensa-architecture-support-for-tensilica-xtensa-part-8.mvlpatch
Patch903: pro-1090-xtensa_fix_asm_macro.mvlpatch
Patch904: pro-1091-xtensa_zlib.mvlpatch
Patch905: pro-1092-xtensa_flat_memory.mvlpatch
Patch906: pro-1093-xtensa_ipc_errno_cleanup.mvlpatch
Patch907: pro-1094-xtensa_remove_old_syscalls.mvlpatch
Patch908: pro-1095-xtensa_remove_sys_ipc.mvlpatch
Patch909: pro-1096-xtensa_remove_old_syscalls_part2.mvlpatch
Patch910: pro-1097-xtensa_extern_inline.mvlpatch
Patch911: pro-1098-xtensa_BE_support.mvlpatch
Patch912: pro-1099-xtensa_kgdb.mvlpatch
Patch913: pro-1100-xtensa_be_fixes.mvlpatch
Patch914: pro-1101-xtensa_diamond.mvlpatch
Patch915: pro-1102-xtensa_gdb.mvlpatch
Patch916: pro-1103-add_pfn_arg_for_xtensa_flush_cache_page.mvlpatch
Patch917: pro-1104-xtensa_posix_fadvise.mvlpatch
Patch918: pro-1105-xtensa_misc_fixups.mvlpatch
Patch919: pro-1106-xtensa_kernel_num_aregs.mvlpatch
Patch920: pro-1107-xtensa_kernel_ptrace.mvlpatch
Patch921: pro-1108-xtensa_kgdb_register_fix.mvlpatch
Patch922: pro-1109-xtensa_kgdb_more_fixups.mvlpatch
Patch923: pro-1110-ppc_mpc7448_taiga.mvlpatch
Patch924: pro-1111-ppc_mpc7448_tsi108_arch.mvlpatch
Patch925: pro-1112-ppc_mpc7448_tsi108_uart_z1.mvlpatch
Patch926: pro-1113-ppc_mpc7448_tsi108_tesc.mvlpatch
Patch927: pro-1114-ppc_mpc7448_tsi108_tesc_phy.mvlpatch
Patch928: pro-1115-ppc_mpc7448_mvsata.mvlpatch
Patch929: pro-1116-ppc_mpc7448_hpc2_kgdb_serial.mvlpatch
Patch930: pro-1117-ppc_mpc7448_hpc2_kgdboe.mvlpatch
Patch931: pro-1118-ppc_mpc7448_mvsata_fix1.mvlpatch
Patch932: pro-1119-ppc_mpc7448_mvsata_timeout_fix.mvlpatch
Patch933: pro-1120-ppc_mpc7448_tsi108_phy_fix.mvlpatch
Patch934: pro-1121-ppc_tsi108_pic_preempt_hardirqs_fix.mvlpatch
Patch935: pro-1122-ppc_tsi108_eth_poll_save_and_restore_irqs.mvlpatch
Patch936: pro-1123-add_ARMv6_aliasing_cache_flush_2.mvlpatch
Patch937: pro-1124-fix_ARMv6_aliasing_VIPT_caches_5.mvlpatch
Patch938: pro-1125-fix_ARMv6_nonaliasing_delayed_dcache_flush_3.mvlpatch
Patch939: pro-1126-8115_MM_Add_pfn_arg_to_flush_cache_page.mvlpatch
Patch940: pro-1127-1480_Reformat_cosmetic_cleanups.mvlpatch
Patch941: pro-1128-8495_SH_Cache_flush_simplifications_after_flush_cache_page_arg_change.mvlpatch
Patch942: pro-1129-common_ppc32_pci_bridge_base_fix.mvlpatch
Patch943: pro-1130-common_ppc32_add_8548_rev2_silicon.mvlpatch
Patch944: pro-1131-pro_ppc32_85xx_add_arcadia_31.mvlpatch
Patch945: pro-1132-pro_make-sure-uart-is-powered-up-when-dumping-mctrl-status.mvlpatch
Patch946: pro-1133-pro_i2c-nforce2_supports_the_nForce3_250Gb.mvlpatch
Patch947: pro-1134-pro_i2c_use_PCI_DEVICE_in_bus_drivers.mvlpatch
Patch948: pro-1135-pro_e100_replace_locally_implemented_delay_routines.mvlpatch
Patch949: pro-1136-e100_sort_device_ids.mvlpatch
Patch950: pro-1137-pro_e100_update_driver_version_number.mvlpatch
Patch951: pro-1138-pro_i2c_support_for_intel_ICH7.mvlpatch
Patch952: pro-1139-pro_enable_i2c_piix4_for_64-bit_platforms.mvlpatch
Patch953: pro-1140-pro_i2c_group_intel_on_I2C_hardware_bus_support.mvlpatch
Patch954: pro-1141-pro_e100_driver_version_white_space_comments_device_id.mvlpatch
Patch955: pro-1142-pro_cdrom_kill_open_failed_error_message.mvlpatch
Patch956: pro-1143-common_e100_revert_driver_version.mvlpatch
Patch957: pro-1144-pro_x86_86_access_of_some_bad_address.mvlpatch
Patch958: pro-1145-common_Fix-offset-error-when-reading-CS89x0-ADD_PORT-register.mvlpatch
Patch959: pro-1146-pro_piix-backport-fixes-from-libata.mvlpatch
Patch960: pro-1147-pro_IPV4_Replace__in_dev_get_with__in_dev_get_rcu_rtnl.mvlpatch
Patch961: pro-1148-common_ipv6_flowlist_not_share.mvlpatch
Patch962: pro-1149-pro_fix_missing_wakeup_in_ipc_sem.mvlpatch
Patch963: pro-1150-pro_piix-tuneproc-fixes-cleanups.mvlpatch
Patch964: pro-1151-pro_0404-MTD-NAND-Use-vmalloc-for-buffer-when-scanning-for-bad-blocks.mvlpatch
Patch965: pro-1152-pro_net_fix_too_aggressive_backoff_in_dst_garbage_collection.mvlpatch
Patch966: pro-1153-common_provide-better-printk-support-for-SMP-machines.mvlpatch
Patch967: pro-1154-common_back_out_get_user_pages_race_for_write_access.mvlpatch
Patch968: pro-1155-common_frd_drop_migration_adjustment.mvlpatch
Patch969: pro-1156-pro_mtd_propagate_oobavail.mvlpatch
Patch970: pro-1157-common_provide_an_interface_for_getting_the_current_tick_length.mvlpatch
Patch971: pro-1158-common_time_add_barrier_after_updating_jiffies_64.mvlpatch
Patch972: pro-1159-common_ppc_use_current_tick_length.mvlpatch
Patch973: pro-1160-common_i386_use_current_tick_length.mvlpatch
Patch974: pro-1161-common_clean-up-and-make-try_to_free_buffers-not-race-with-dirty-pages.patch.mvlpatch
Patch975: pro-1162-common_realtime-free_uid-fix.mvlpatch
Patch976: pro-1163-pro_slab-respect-architecture-and-caller-mandated-alignment.mvlpatch
Patch977: pro-1164-slab-debug-and-ARCH_SLAB_MINALIGN-don-t-get-along.mvlpatch
Patch978: pro-1165-common_diffserv_class_handling.mvlpatch
Patch979: pro-1166-sctp_fix_bad_sysctl_formatting_of_SCTP_timeout_values_on_64_bit_m_cs.mvlpatch
Patch980: pro-1167-ppc64_cputable_c99.mvlpatch
Patch981: pro-1168-ppc64_970MP_PVR.mvlpatch
Patch982: pro-1169-common_ppc64_970mp_tw2_mtd.mvlpatch
Patch983: pro-1170-common_ppc64_970mp_tw2_initial.mvlpatch
Patch984: pro-1171-ppc64_970mp_rtc_nvram_fix.mvlpatch
Patch985: pro-1172-ppc64_970mp_tw2_pciio_res.mvlpatch
Patch986: pro-1173-ppc64_970mp_u4_pcie.mvlpatch
Patch987: pro-1174-common_ppc64_970mp_tw2_defcon_cpunum.mvlpatch
Patch988: pro-1175-common_ppc64_change_zimage_load_addr.mvlpatch
Patch989: pro-1176-common_ppc64_initrd_boot_param.mvlpatch
Patch990: pro-1177-common_ppc64_bootwrap_fix.mvlpatch
Patch991: pro-1178-common_ppc64_undo_zimage_load_addr.mvlpatch
Patch992: pro-1179-common_ppc_openpic_ack_irq_preempt_smp_fix.mvlpatch
Patch993: pro-1180-common_yaffs2_fix_write_tags.mvlpatch
Patch994: pro-1181-common_ppc_smp_kgdb.mvlpatch
Patch995: pro-1182-pro_ppc440epx_sequoia.mvlpatch
Patch996: pro-1183-pro_ppc440epx_emac.mvlpatch
Patch997: pro-1184-pro_ppc440epx_mtd.mvlpatch
Patch998: pro-1185-pro_ppc440epx_usb_ohci.mvlpatch
Patch999: pro-1186-pro_common_usb_ehci_be.mvlpatch
Patch1000: pro-1187-pro_ppc440epx_usb_ehci.mvlpatch
Patch1001: pro-1188-pro_ppc440epx_kgdb_serial.mvlpatch
Patch1002: pro-1189-pro_ppc440epx_sequoia_defconfig.mvlpatch
Patch1003: pro-1190-pro_mpc885_usb_dev_serial_peripheral.mvlpatch
Patch1004: pro-1191-SCTP_Add_SENTINEL_to_SCTP_MIB_stats.mvlpatch
Patch1005: pro-1192-common_rt_smp_runqueue_lock_fix.mvlpatch
Patch1006: pro-1193-common_ip6t_conntrack_ftp_fix.mvlpatch
Patch1007: pro-1194-simpler_topdown_mmap_layout_allocator.mvlpatch
Patch1008: pro-1195-Avoiding_mmap_fragmentation.mvlpatch
Patch1009: pro-1196-Avoiding_mmap_fragmentation_fixup.mvlpatch
Patch1010: pro-1197-pro_mips_vr41xx_cmdline_fix.mvlpatch
Patch1011: pro-1198-pro_mips_vrblade_arch.mvlpatch
Patch1012: pro-1199-pro_mips_vrblade_watchdog.mvlpatch
Patch1013: pro-1200-pro_mips_vrblade_bu9929fv.mvlpatch
Patch1014: pro-1201-pro_mips_vrblade_kernel_entry.mvlpatch
Patch1015: pro-1202-pro_mips_vrblade_defconfig.mvlpatch
Patch1016: pro-1203-pro_delkin.mvlpatch
Patch1017: pro-1204-pro_mips_vrblade_pci_backport.mvlpatch
Patch1018: pro-1205-pro_mips_vrblade_pci_mips_backport.mvlpatch
Patch1019: pro-1206-pro_mips_vrblade_pcmcia_backport.mvlpatch
Patch1020: pro-1207-pro_mips_vrblade_yenta_backport.mvlpatch
Patch1021: pro-1208-pro_mips_vrblade_pci_resources_fix.mvlpatch
Patch1022: pro-1209-pro_mips_vrblade_candy_marvell.mvlpatch
Patch1023: pro-1210-pro_mips_cmbvr4133_nec_candy_update.mvlpatch
Patch1024: pro-1211-pro_mips_vrblade_pcimem_fix.mvlpatch
Patch1025: pro-1212-pro_mips_vrblade_candy_vlan_compile_fix.mvlpatch
Patch1026: pro-1213-davinci_ide_udma4_support_fixup.mvlpatch
Patch1027: pro-1214-ppc32_8343_pvr_fix.mvlpatch
Patch1028: pro-1215-ppc_smp_tbsync_merge_from_arch_powerpc.mvlpatch
Patch1029: pro-1216-ppc_8641d_smp.mvlpatch
Patch1030: pro-1217-ppc_mpc8641_hpcn_kb_mouse.mvlpatch
Patch1031: pro-1218-ppc_mpc8641_hpcn_lpc47m192_gpio.mvlpatch
Patch1032: pro-1219-ppc_mpc8641_hpcn_smp_i8259_irq.mvlpatch
Patch1033: pro-1220-use_modern_format_for_PCI_APIC_IRQ_transform_printks.mvlpatch
Patch1034: pro-1221-PCI_pci_ids.h_correction_for_intel_ICH7.mvlpatch
Patch1035: pro-1222-AGPGART_i915GM_support.mvlpatch
Patch1036: pro-1223-AGPGART_fix_silly_typo_in_the_i915GM_support_patch.mvlpatch
Patch1037: pro-1224-ALSA_AC97_audio_support_for_intel_ICH7.mvlpatch
Patch1038: pro-1225-arch_i386_kernel_pci_irq.c_wrong_message_output.mvlpatch
Patch1039: pro-1226-ALSA_intel8x0_fix_for_broken_pci_id_define_for_ICH6.mvlpatch
Patch1040: pro-1227-2472_1_updates_8250.c_to_correctly_detect_XScale_UARTs.mvlpatch
Patch1041: pro-1228-serial_fix_16550a_misdetection.mvlpatch
Patch1042: pro-1229-pci_ids.h_correction_for_intel_ICH7M.mvlpatch
Patch1043: pro-1230-ide_pci_ids.h_correction_for_intel_ICH7R.mvlpatch
Patch1044: pro-1231-serial_add_UART_CAP_UUE.mvlpatch
Patch1045: pro-1232-irq_and_pci_ids_patch_for_intel_ESB2.mvlpatch
Patch1046: pro-1233-irq_and_pci_ids_for_intel_ICH7DH_and_ICH7_M_DH.mvlpatch
Patch1047: pro-1234-serial_dont_disable_xscale_serial_ports_after_autoconfig.mvlpatch
Patch1048: pro-1235-common_ppc_TSI108_UART_detection.mvlpatch
Patch1049: pro-1236-x86_remove_bogus_pci_usepirqmask_suggestion_when_no_irq_is_defined.mvlpatch
Patch1050: pro-1237-PCI_irq_and_pci_ids_patch_for_Intel_ICH8.mvlpatch
Patch1051: pro-1238-PCI_Rapid_Hance_quirk.mvlpatch
Patch1052: pro-1239-VIA_VT8235_PCI_quirk.mvlpatch
Patch1053: pro-1240-fix_and_clean_up_quirk_intel_ide_combined_configuration.mvlpatch
Patch1054: pro-1241-PCI_be_more_verbose_about_resource_quirks.mvlpatch
Patch1055: pro-1242-PCI_ICH6_ACPI_and_GPIO_quirk.mvlpatch
Patch1056: pro-1243-unhide_ICH6_SMBus_take_2.mvlpatch
Patch1057: pro-1244-PCI_add_PCI_quirk_for_SMBus_on_the_Asus_A6VA_notebook.mvlpatch
Patch1058: pro-1245-PCI_fix_ICH6_quirks.mvlpatch
Patch1059: pro-1246-gregkh_pci_pci_add_ich7_8_acpi_gpio_io_resource_quirks.mvlpatch
Patch1060: pro-1247-PCI_clean_up_printks_in_msi.c.mvlpatch
Patch1061: pro-1248-libata_fix_ata_piix_on_ICH6R_in_RAID_mode.mvlpatch
Patch1062: pro-1249-PCI_clean_up_the_msi_api.mvlpatch
Patch1063: pro-1250-x86_disable_MSI_for_AMD_8131.mvlpatch
Patch1064: pro-1251-ia64_msi_build_fix.mvlpatch
Patch1065: pro-1252-SATA_ahci_correction_intel_ICH7R.mvlpatch
Patch1066: pro-1253-msi.c_fix_a_check_after_use.mvlpatch
Patch1067: pro-1254-ia64_Andrews_fixes_for_warnings_on_ia64_build.mvlpatch
Patch1068: pro-1255-piix_IDE_PATA_patch_for_Intel_ESB2.mvlpatch
Patch1069: pro-1256-ata_piix_IDE_mode_SATA_patch_for_Intel_ESB2.mvlpatch
Patch1070: pro-1257-AHCI_mode_SATA_patch_for_Intel_ESB2.mvlpatch
Patch1071: pro-1258-PCI_clean_up_the_MSI_code_a_bit.mvlpatch
Patch1072: pro-1259-libata_check_PCI_sub_class_code_before_disabling_AHCI.mvlpatch
Patch1073: pro-1260-AHCI_mode_SATA_patch_for_Intel_ICH7_M_DH.mvlpatch
Patch1074: pro-1261-scan_all_enabled_ports_on_ata_piix.mvlpatch
Patch1075: pro-1262-libata_ata_piix_use_dev_printk_where_appropriate.mvlpatch
Patch1076: pro-1263-libata_ata_piix_cleanup_remove_duplicate_ata_port_info_records.mvlpatch
Patch1077: pro-1264-add_boot_option_to_control_Intel_SATA_PATA_combined_mode.mvlpatch
Patch1078: pro-1265-ata_piix_fix_MAP_VALUE_interpretation_for_ICH6_7.mvlpatch
Patch1079: pro-1266-fix_deadlock_in_msi.c.mvlpatch
Patch1080: pro-1267-libata_ata_piix_fix_ICH6_7_map_value_interpretation.mvlpatch
Patch1081: pro-1268-pro_carrilloranch_vermilion_range_i2c_driver.mvlpatch
Patch1082: pro-1269-pro_carrilloranch_serial_8250_pci_add_vermilion_range_support.mvlpatch
Patch1083: pro-1270-pro_carrilloranch_mtd_fix_cfi_point_method_for_discontiguous_maps.mvlpatch
Patch1084: pro-1271-pro_carrilloranch_jffs2_fix_unpoint_length.mvlpatch
Patch1085: pro-1272-pro_carrilloranch_mtd_vermilion_range_nor_flash_map.mvlpatch
Patch1086: pro-1273-pro_carrilloranch_mtd_vermilion_range_nand_flash.mvlpatch
Patch1087: pro-1274-pro_carrilloranch_mtd_ich7_spi_serial_flash_driver.mvlpatch
Patch1088: pro-1275-pro_carrilloranch_vermilion_range_msi_quirk.mvlpatch
Patch1089: pro-1276-pro_carrilloranch_mtd_support_ich7_in_ichxrom.mvlpatch
Patch1090: pro-1277-pro_carrilloranch_vermilion_range_spi_driver.mvlpatch
Patch1091: pro-1278-pro_carrilloranch_vermilion_range_framebuffer.mvlpatch
Patch1092: pro-1279-nfsd_discard_CACHE_HASHED_flag_keeping_information_in_refcount_instead.mvlpatch
Patch1093: pro-1280-common_NETFILTER_ip6tables_remove_duplicate_code.mvlpatch
Patch1094: pro-1281-common_NETFILTER_make_ipv6_find_hdr_find_transport_protocol_header.mvlpatch
Patch1095: pro-1282-common_NETFILTER_Fix_ip6_tables_protocol_bypass_bug.mvlpatch
Patch1096: pro-1283-common_NETFILTER_Fix_ip6_tables_extension_header_bypass_bug.mvlpatch
Patch1097: pro-1284-common_NETFILTER_ip6_tables_use_correct_nexthdr_value_in_ipv6_find_hdr.mvlpatch
Patch1098: pro-1285-common_NETFILTER_ip6_tables_fix_udp_fragment_conntrack.mvlpatch
Patch1099: pro-1286-IPV4_Fix_BUG_in_2.6.x_udp_poll_fragments_CONFIG_HIGHMEM.mvlpatch
Patch1100: pro-1287-jbd_log_do_checkpoint_fix.mvlpatch
Patch1101: pro-1288-jbd_remove_transaction_fix.mvlpatch
Patch1102: pro-1289-jbd_revert_checkpoint_list_changes.mvlpatch
Patch1103: pro-1290-jbd_embed_j_commit_timer_in_journal_struct.mvlpatch
Patch1104: pro-1291-jbd_convert_kjournald_to_kthread_API.mvlpatch
Patch1105: pro-1292-JBD_split_checkpoint_lists.mvlpatch
Patch1106: pro-1293-ext3_fix_memory_leak_when_the_journal_file_is_cor.mvlpatch
Patch1107: pro-1294-jbd_fix_BUG_in_journal_commit_transaction.mvlpatch
Patch1108: pro-1295-Manage_jbd_allocations_from_its_own_slabs.mvlpatch
Patch1109: pro-1296-manage_jbd_its_own_slab_fix.mvlpatch
Patch1110: pro-1297-common_ppc32_show_backtraces_fix.mvlpatch
Patch1111: pro-1298-x86_TF_handling.mvlpatch
Patch1112: pro-1299-pro_mpc8349mIDX_initial.mvlpatch
Patch1113: pro-1300-pro_mpc8349mIDX_rtc.mvlpatch
Patch1114: pro-1301-pro_cfide_driver.mvlpatch
Patch1115: pro-1302-pro_mpc8349mIDX_plsprt_cfide.mvlpatch
Patch1116: pro-1303-pro_ppc_pciauto_scan_dev0.mvlpatch
Patch1117: pro-1304-pro_ppc_mpc8641d_pex11_erratum_rev1.mvlpatch
Patch1118: pro-1305-pro_ppc_mpc8641hpcn_rev12_pci.mvlpatch
Patch1119: pro-1306-unbacked_shared_memory_core_dump_fix.mvlpatch
Patch1120: pro-1307-ppc32_85xx_add_arcadia_31_fixup.mvlpatch
Patch1121: pro-1308-getblk_slow_can_loop_forever.mvlpatch
Patch1122: pro-1309-timespec_normalize_off_by_one_errors.mvlpatch
Patch1123: pro-1310-pro_mips_rmi_phoenix_xlr_base.mvlpatch
Patch1124: pro-1311-pro_mips_rmi_xlr_drivers.mvlpatch
Patch1125: pro-1312-pro_mips_rmi_xlr_misc.mvlpatch
Patch1126: pro-1313-pro_mips_rmi_xlr_eeprom.mvlpatch
Patch1127: pro-1314-pro_mips_rmi_xlr_sensor.mvlpatch
Patch1128: pro-1315-pro_mips_rmi_xlr_pci_fixups.mvlpatch
Patch1129: pro-1316-common_sh_generic.mvlpatch
Patch1130: pro-1317-common_sh_sh7780.mvlpatch
Patch1131: pro-1318-pro_sh_sh7780_sci.mvlpatch
Patch1132: pro-1319-pro_sh_sh7780_net.mvlpatch
Patch1133: pro-1320-pro_sh_sh7780_block.mvlpatch
Patch1134: pro-1321-pro_sh_sh7780_usb.mvlpatch
Patch1135: pro-1322-pro_sh_sh7780_video.mvlpatch
Patch1136: pro-1323-pro_sh_sh7780_hrt.mvlpatch
Patch1137: pro-1324-pro_sh_sh7780_dma_fix.mvlpatch
Patch1138: pro-1325-pro_sh_tmu1_start.mvlpatch
Patch1139: pro-1326-pro_sh_frd.mvlpatch
Patch1140: pro-1327-pro_sh_rt_generic_hardirqs.mvlpatch
Patch1141: pro-1328-pro_sh_kernel_preemption.mvlpatch
Patch1142: pro-1329-pro_sh_sh7780_rt.mvlpatch
Patch1143: pro-1330-pro_sh_sh7780_sci1_fix.mvlpatch
Patch1144: pro-1331-pro_sh_sh7780_kgdb_fix.mvlpatch
Patch1145: pro-1332-pro_sh_sh7780_hrt_fix.mvlpatch
Patch1146: pro-1333-pro_sh_sh7780_latch_fix.mvlpatch
Patch1147: pro-1334-common_e100_driver_update_to_3_5_17.mvlpatch
Patch1148: pro-1335-pro_mips_rmi_hrt.mvlpatch
Patch1149: pro-1336-common_ppc32_Fix___copy_tofrom_user_return_value.mvlpatch
Patch1150: pro-1337-MTD_NOR_Fix_oops_in_cfi_amdstd_sync.mvlpatch
Patch1151: pro-1338-pro_arm_davinci_add_nor_flash_map_driver.mvlpatch
Patch1152: pro-1339-pro_ppc32_add_mpc832xmds.mvlpatch
Patch1153: pro-1340-pro_ppc32_ucc_geth_add_napi_multicast_and_mtu.mvlpatch
Patch1154: pro-1341-pro_ppc32_ucc_geth_remove_8360_workaround.mvlpatch
Patch1155: pro-1342-pro_ppc32_ucc_geth_NAPI_fixup.mvlpatch
Patch1156: pro-1343-pro_ppc32_83xx_second_hose_P2P_bridge_fix.mvlpatch
Patch1157: pro-1344-pro_ppc32_83xx_config_PIBs_bus_switches.mvlpatch
Patch1158: pro-1345-Fix_buffer_overflow_and_races_in_capi_debug_functi.mvlpatch
Patch1159: pro-1346-USB_ehci_requeue_revisit.mvlpatch
Patch1160: pro-1347-common_mipv6_redirect_fix.mvlpatch
Patch1161: pro-1348-IPV6_Don_t_use_expired_default_routes.mvlpatch
Patch1162: pro-1349-Always_add_a_fragment_header_after_receiving.mvlpatch
Patch1163: pro-1350-USB_Storage_Header_reorganization.mvlpatch
Patch1164: pro-1351-USB_Storage_remove_unneeded_NULL_tests.mvlpatch
Patch1165: pro-1352-USB_Storage_make_usb_storage_structures_refcounte.mvlpatch
Patch1166: pro-1353-USB_Patch_for_rtl8150_to_fix_unplug_problems.mvlpatch
Patch1167: pro-1354-pro_net_driver_smc91x_merge_fix.mvlpatch
Patch1168: pro-1355-pro_arm_xscale_make_console_uart_work_during_kernel_initialization.mvlpatch
Patch1169: pro-1356-pro_ppc_xilinx_emac_xenet_start_xmit_fifo_fix.mvlpatch
Patch1170: pro-1357-pro_ppc32_85xxcds_early_debug_compile_fix.mvlpatch
Patch1171: pro-1358-common_hrt_timer_recalc_workaround.mvlpatch
Patch1172: pro-1359-pro_mips_net_tc25815_1_fixup.mvlpatch
Patch1173: pro-1360-IPV6_Disallow_RH0_by_default.mvlpatch
Patch1174: pro-1361-pro_mips_tx3938_nand_fixup.mvlpatch
Patch1175: pro-1362-common_ppc_44x_minalign.mvlpatch
Patch1176: pro-1363-sparc64_rusage_build_fix.mvlpatch
Patch1177: pro-1364-compat_be_more_consistent_about_ug_id_t.mvlpatch
Patch1178: pro-1365-2.6.14_rc1_updates_for_MIPS_compat_types.mvlpatch
Patch1179: pro-1366-compat_introduce_compat_time_t.mvlpatch
Patch1180: pro-1367-mips_add_ptr_to_compat.mvlpatch
Patch1181: pro-1368-MIPS_Use_SYSVIPC_COMPAT_to_fix_various_problems_on.mvlpatch
Patch1182: pro-1369-common_ppc_module_load.mvlpatch
Patch1183: pro-1370-mv643xx_eth_Do_not_modify_struct_netdev_tx_queue_len.mvlpatch
Patch1184: pro-1371-pro_mips_tx4939_irq_fixup.mvlpatch
Patch1185: pro-1372-pro_mips_tx4939_ide_cleanup.mvlpatch
Patch1186: pro-1373-phy_fixed_a_number_of_bugs_in_the_phy_layer.mvlpatch
Patch1187: pro-1374-pro_ppc32_83xx_us_to_tb_add.mvlpatch
Patch1188: pro-1375-locks_fix_possible_infinite_loop_in_posix_deadlock_detection.mvlpatch
Patch1189: pro-1376-CVE_2005_2185_workaround_for_IGMP_v1v2_bug.mvlpatch
Patch1190: pro-1377-MTD_NAND_Tidy_up_handling_of_page_number_in_nand.mvlpatch
Patch1191: pro-1378-pro_hpt366_undo_driver_changes.mvlpatch
Patch1192: pro-1379-pro_hpt366_remove_hpt374_50mhz_table.mvlpatch
Patch1193: pro-1380-pro_hpt366_merge_header.mvlpatch
Patch1194: pro-1381-pro_hpt366_fix_build_with_modular_ide_disk.mvlpatch
Patch1195: pro-1382-pro_hpt366_fix_driver_layer.mvlpatch
Patch1196: pro-1383-pro_hpt3xxn_clocking_fixes.mvlpatch
Patch1197: pro-1384-pro_hpt37x_fix_timing_tables.mvlpatch
Patch1198: pro-1385-pro_hpt37x_optimize_timing_tables.mvlpatch
Patch1199: pro-1386-pro_hpt3xx_fix_hotswap_support.mvlpatch
Patch1200: pro-1387-pro_hpt3xx_fix_case_of_multiple_chips.mvlpatch
Patch1201: pro-1388-pro_hpt366_rework_rate_filtering.mvlpatch
Patch1202: pro-1389-pro_hpt366_rate_filtering_cleanup.mvlpatch
Patch1203: pro-1390-pro_hpt366_print_real_chip_name_at_startup.mvlpatch
Patch1204: pro-1391-pro_hpt366_use_pci_get_slot.mvlpatch
Patch1205: pro-1392-pro_hpt366_cache_mcr_address.mvlpatch
Patch1206: pro-1393-pro_hpt366_merge_hpt37x_speedproc_handlers.mvlpatch
Patch1207: pro-1394-pro_hpt366_cleanup_dma_timeout_handling_for_hpt370.mvlpatch
Patch1208: pro-1395-pro_hpt366_init_code_rewrite.mvlpatch
Patch1209: pro-1396-pro_hpt366_pci_clock_detection_fix.mvlpatch
Patch1210: pro-1397-pro_hpt366_fix_kernel_oops_with_hpt302n.mvlpatch
Patch1211: pro-1398-pro_hpt366_do_not_check_enablebits.mvlpatch
Patch1212: pro-1399-pro_hpt366_disallow_ultra133_for_hpt374.mvlpatch
Patch1213: pro-1400-pro_i2c_bu9929fv_merge_fix.mvlpatch
Patch1214: pro-1401-Fix_reference_to_deallocated_memory_in_sd.c.mvlpatch
Patch1215: pro-1402-common_pxafb_cleanup.mvlpatch
Patch1216: pro-1403-common_pxa27x_irqs_fix.mvlpatch
Patch1217: pro-1404-common_remove_ARMv6_blockops.mvlpatch
Patch1218: pro-1405-common_pxa_monahans_kgdb.mvlpatch
Patch1219: pro-1406-common_pxa_monahans_m2d.mvlpatch
Patch1220: pro-1407-common_pxa_monahans_nand.mvlpatch
Patch1221: pro-1408-common_pxa_monahans_base.mvlpatch
Patch1222: pro-1409-common_ARMv6_MT_NONSHARED_DEVICE.mvlpatch
Patch1223: pro-1410-common_arm_v6_supersections_sync.mvlpatch
Patch1224: pro-1411-ARM_3377_2_add_support_for_intel_xsc3_core.mvlpatch
Patch1225: pro-1412-common_pxa_monahans_fixups.mvlpatch
Patch1226: pro-1413-common_pxa_monahans_input.mvlpatch
Patch1227: pro-1414-common_pxa_monahans_net.mvlpatch
Patch1228: pro-1415-common_pxa_monahans_bootloader.mvlpatch
Patch1229: pro-1416-common_pxa_monahans_irda.mvlpatch
Patch1230: pro-1417-common_pxa_mmc_fix.mvlpatch
Patch1231: pro-1418-common_pxa_mmc_readonly_detection.mvlpatch
Patch1232: pro-1419-pxa_disable_ssp_irq.mvlpatch
Patch1233: pro-1420-common_pxa_monahans_defconfig_fix.mvlpatch
Patch1234: pro-1421-common_pxa_monahans_mmc.mvlpatch
Patch1235: pro-1422-common_pxa_monahans_nand_micron.mvlpatch
Patch1236: pro-1423-common_pxafb_ovl_release_fix.mvlpatch
Patch1237: pro-1424-common_pxafb_waitforvsync.mvlpatch
Patch1238: pro-1425-common_pxafb_panning.mvlpatch
Patch1239: pro-1426-common_pxafb_directfb.mvlpatch
Patch1240: pro-1427-common_arm_pxa_fb_cmdline_fix.mvlpatch
Patch1241: pro-1428-common_pxa_ts_dependency_fix.mvlpatch
Patch1242: pro-1429-common_pxa_monahans_nand_ecc.mvlpatch
Patch1243: pro-1430-common_pxa_monahans_reset.mvlpatch
Patch1244: pro-1431-common_pxa_monahans_pxa310_lv.mvlpatch
Patch1245: pro-1432-common_pxa_monahans_netfix.mvlpatch
Patch1246: pro-1433-common_pxa_monahans_pm.mvlpatch
Patch1247: pro-1434-common_pxa_monahans_pm_drv_fix.mvlpatch
Patch1248: pro-1435-common_pxa_monahans_i2c.mvlpatch
Patch1249: pro-1436-common_pxa_monahans_arava.mvlpatch
Patch1250: pro-1437-common_pxa_monahans_pmic.mvlpatch
Patch1251: pro-1438-common_pxa_monahans_gpio_expander.mvlpatch
Patch1252: pro-1439-common_pxa_monahans_usb_host.mvlpatch
Patch1253: pro-1440-common_pxa_monahans_usb_u2d.mvlpatch
Patch1254: pro-1441-common_pxa_monahans_usb_udc.mvlpatch
Patch1255: pro-1442-common_pxa_monahans_usb_otg.mvlpatch
Patch1256: pro-1443-common_pxa_monahans_usbdev.mvlpatch
Patch1257: pro-1444-common_pxa_monahans_fb.mvlpatch
Patch1258: pro-1445-common_pxa_monahans_fb_ifdef.mvlpatch
Patch1259: pro-1446-common_pxa_monahans_minifb.mvlpatch
Patch1260: pro-1447-common_pxa_monahans_oledfb.mvlpatch
Patch1261: pro-1448-common_pxa_monahans_camera.mvlpatch
Patch1262: pro-1449-common_pxa_monahans_serial_irq.mvlpatch
Patch1263: pro-1450-common_pxa_monahans_sound_01.mvlpatch
Patch1264: pro-1451-common_pxa_monahans_sound_02.mvlpatch
Patch1265: pro-1452-common_pxa_monahans_sound_fix_01.mvlpatch
Patch1266: pro-1453-common_pxa_monahans_sound_fix_02.mvlpatch
Patch1267: pro-1454-common_pxa_monahans_touchscreen.mvlpatch
Patch1268: pro-1455-common_pxa_monahans_mmc_multislot.mvlpatch
Patch1269: pro-1456-common_pxa_monahans_fb_Overlay2_YUV_and_errata_fixes.mvlpatch
Patch1270: pro-1457-common_pxa_fb_rt_fix.mvlpatch
Patch1271: pro-1458-common_pxa_monahans_disable_conflicting.mvlpatch
Patch1272: pro-1459-common_usb_gadget_serial_fix.mvlpatch
Patch1273: pro-1460-common_pxa_monahans_usb_gadget_deadlock_fix.mvlpatch
Patch1274: pro-1461-common_pxa_monahans_u2d_rndis_fix.mvlpatch
Patch1275: pro-1462-common_pxa_monahans_sound_fix_03.mvlpatch
Patch1276: pro-1463-common_pxa_monahans_udc_deadlock_fix.mvlpatch
Patch1277: pro-1464-common_pxa_monahans_u2d_detect_cable_fix.mvlpatch
Patch1278: pro-1465-lib_sort_Heapsort_implementation_of_sort.mvlpatch
Patch1279: pro-1466-common_powerpc_fix_slow_kernel_module_load.mvlpatch
Patch1280: pro-1467-core_dumping_unreadable_binaries_via_PT_INTERP.mvlpatch
Patch1281: pro-1468-common_arm_mach_types_070129.mvlpatch
Patch1282: pro-1469-common_i2c_kernel_ifdefs.mvlpatch
Patch1283: pro-1470-2279_ARM_SMP_Do_not_clear_cpu_vm_mask_for_VIPT_caches.mvlpatch
Patch1284: pro-1471-2557_ARM_Fix_second_missing_declaration_of_cache_is_vivt_2.mvlpatch
Patch1285: pro-1472-common_arm_pxa_export_revert.mvlpatch
Patch1286: pro-1473-common_arm_xip_omap_revert.mvlpatch
Patch1287: pro-1474-MTD_XIP_cleanup.mvlpatch
Patch1288: pro-1475-common_arm_omap_mtd_xip_cleanup_f2.mvlpatch
Patch1289: pro-1476-mmc_use_class_device_name_for_mmc_host_name.mvlpatch
Patch1290: pro-1477-mmc_use_an_idr_for_host_name_indicies.mvlpatch
Patch1291: pro-1478-arm_fix_typos_in_comments_of_mmc.h.mvlpatch
Patch1292: pro-1479-mmc_response_to_write_commands_is_R1norR1b.mvlpatch
Patch1293: pro-1480-mmc_explain_the_internals_of_mmc_power_up.mvlpatch
Patch1294: pro-1481-mmc_support_mmc_version_4_cards.mvlpatch
Patch1295: pro-1482-mmc_add_DATA_MULTI_flag.mvlpatch
Patch1296: pro-1483-mmc_indicate_that_R1_R1b_contains_command_opcode.mvlpatch
Patch1297: pro-1484-arm_imx_mx1_sd_mmc_ensure_clock_is_stopped_before_new_command_and_cleanups.mvlpatch
Patch1298: pro-1485-0112_ARM_3523_1_Serial_core_pm_state.mvlpatch
Patch1299: pro-1486-ide_get_best_pio_mode_returns_incorrect_iordy_setting.mvlpatch
Patch1300: pro-1487-common_i386_hrt_resume_profiling_tick.mvlpatch
Patch1301: pro-1488-IPv6_Exclude_truncated_packets_from_InHdrErrors_statistics.mvlpatch
Patch1302: pro-1489-Fix_dcache_race_during_umount.mvlpatch
Patch1303: pro-1490-missing_unused_dentry_in_prune_dcache.mvlpatch
Patch1304: pro-1491-igrab_should_check_for_I_CLEAR.mvlpatch
Patch1305: pro-1492-arm_Fix_ARM_TLB_shootdown_code.mvlpatch
Patch1306: pro-1493-NETLINK_Synchronous_message_processing.mvlpatch
Patch1307: pro-1494-NETLINK_Fix_infinite_loops_in_synchronous_netlink_changes.mvlpatch
Patch1308: pro-1495-XFRM_RTNETLINK_Decrement_qlen_properly_in_xfrm_rt_netlink_rcv.mvlpatch
Patch1309: pro-1496-NETFILTER_Fix_deadlock_with_ip_queue_and_tcp_local_input_path.mvlpatch
Patch1310: pro-1497-common_kmalloc_from_gfp_atomic_for_gred_dump.mvlpatch
Patch1311: pro-1498-TCP_Do_not_underflow_sk_forward_alloc_in_sendpage.mvlpatch
Patch1312: pro-1499-NET_Add_sk_stream_wmem_schedule.mvlpatch
Patch1313: pro-1500-TCP_Fix_sk_forward_alloc_underflow_in_tcp_sendmsg.mvlpatch
Patch1314: pro-1501-drop_buffers_oops_fix.mvlpatch
Patch1315: pro-1502-common_fix_ltt_warning_message.mvlpatch
Patch1316: pro-1503-common_rt_fix_tg3_network_driver.mvlpatch
Patch1317: pro-1504-IPV4_Prevent_oops_when_printing_martian_source.mvlpatch
Patch1318: pro-1505-XFRM_Always_release_dst_entry_on_error_in_xfrm_lookup.mvlpatch
Patch1319: pro-1506-TCPv6_Fix_skb_leak.mvlpatch
Patch1320: pro-1507-XFRM_Fix_leak_in_ah6_input.mvlpatch
Patch1321: pro-1508-NETLINK_Fix_a_severe_bug.mvlpatch
Patch1322: pro-1509-common_ipv6_dst_lookup_dst_check_fix.mvlpatch
Patch1323: pro-1510-IPv6_fix_Routing_Header_Type_0_handling_thinko.mvlpatch
Patch1324: pro-1511-common_hrt_MV22019.mvlpatch
Patch1325: pro-1512-common_fix_ltt_deadlock.mvlpatch
Patch1326: pro-1513-common_serial8250_unhandled_iir_rdi.mvlpatch
Patch1327: pro-1514-Fix_semundo_lock_leakage.mvlpatch
Patch1328: pro-1515-TCP_fix_tcp_off_bug_check.mvlpatch
Patch1329: pro-1516-sense_data_helpers_lk_2.6.11_rc1_bk1.mvlpatch
Patch1330: pro-1517-sd_descriptor_sense_support.mvlpatch
Patch1331: pro-1518-SCSI_sd_pause_in_sd_spinup_disk_for_slow_USB_devi.mvlpatch
Patch1332: pro-1519-common_add_checkpatch_script.mvlpatch
Patch1333: pro-1520-common_ltt_fix_sleeping_lock.mvlpatch
Patch1334: pro-1521-addrconf_init_err.mvlpatch
Patch1335: pro-1522-common_fix_unserialized_task_files_changing.mvlpatch
Patch1336: pro-1523-common_poll_enforce_rlimit_nofile.mvlpatch
Patch1337: pro-1524-ipv6_fix_bug_of_ndisc_send_redirect.mvlpatch
Patch1338: pro-1525-ipv6_fix_icmpv6_redirect_handling_with_target_multicast_address.mvlpatch
Patch1339: pro-1526-cmd64x_merge_header.mvlpatch
Patch1340: pro-1527-cmd64x_fix_pio_mode_setup.mvlpatch
Patch1341: pro-1528-cmd64x_fix_recovery_time_calculation.mvlpatch
Patch1342: pro-1529-cmd64x_fix_mwdma_and_remove_swdma_support.mvlpatch
Patch1343: pro-1530-cmd64x_interrupt_status_fixes.mvlpatch
Patch1344: pro-1531-cmd64x_add_fix_enablebits.mvlpatch
Patch1345: pro-1532-cmd64x_procfs_code_fixes_cleanups.mvlpatch
Patch1346: pro-1533-cmd64x_use_interrupt_status_from_mrdmode_register.mvlpatch
Patch1347: pro-1534-cmd64x_init_code_cleanup.mvlpatch
Patch1348: pro-1535-cmd64x_do_not_clear_other_channels_interrupt.mvlpatch
Patch1349: pro-1536-common_timer_do_clock_nanosleep_needs_restart_flag.mvlpatch
Patch1350: pro-1537-block_i_mapping_iput_race.mvlpatch
Patch1351: pro-1538-slab_extract_setup_cpu_cache.mvlpatch
Patch1352: pro-1539-slab_extract___kmem_cache_destroy_from_kmem_cache_destroy.mvlpatch
Patch1353: pro-1540-slab_do_not_panic_when_alloc_kmemlist_fails_and_slab_is_up.mvlpatch
Patch1354: pro-1541-blk_limit_request_fn_recursion.mvlpatch
Patch1355: pro-1542-scsi_limit_recursion_flushing_starved_list_shost.mvlpatch
Patch1356: pro-1543-fs_ext3_forgotten_b_data_in_memcpy.mvlpatch
Patch1357: pro-1544-ptrace_attach_irq_deadlock_fix.mvlpatch
Patch1358: pro-1545-ipsec_merge_xfrm_4_6__bundle_ok_stale_bundle.mvlpatch
Patch1359: pro-1546-xfrm_stale_bundles_test_was_reversed.mvlpatch
Patch1360: pro-1547-ipsec_add_xfrm_state_mtu.mvlpatch
Patch1361: pro-1548-ipsec_add_route_element_to_xfrm_dst.mvlpatch
Patch1362: pro-1549-ipsec_store_mtu_at_each_xfrm_dst.mvlpatch
Patch1363: pro-1550-ipsec_check_dst_validity_harder_in_xfrm_bundle_ok.mvlpatch
Patch1364: pro-1551-xfrm_call_dst_check_with_appropriate_cookie.mvlpatch
Patch1365: pro-1552-piix_fix_locking_error.mvlpatch
Patch1366: pro-1553-slc90e66_carry_over_fixes_from_piix_driver.mvlpatch
Patch1367: pro-1554-piix_slc90e66_more_tuneproc_fixing.mvlpatch
Patch1368: pro-1555-common_truncate_clear_page_dirtiness_before_running_try_to_free_buffers.mvlpatch
Patch1369: pro-1556-common_resurrect_try_to_free_buffers_VM_hackery.mvlpatch
Patch1370: pro-1557-USB_Storage_make_usb_storage_structures_refcounte_fixup.mvlpatch
Patch1371: pro-1558-common_mtd_nand_hwecc_16bit_fix.mvlpatch
Patch1372: pro-1559-pro_sl82c105_mark_init_functions_for_hotplug.mvlpatch
Patch1373: pro-1560-pro_sl82c105_fix_broken_dma_prevention.mvlpatch
Patch1374: pro-1561-pro_sl82c105_serialize_channels.mvlpatch
Patch1375: pro-1562-pro_sl82c105_depends_on_BLK_DEV_IDEDMA_PCI.mvlpatch
Patch1376: pro-1563-pro_sl82c105_idecsr_caching_fix.mvlpatch
Patch1377: pro-1564-pro_sl82c105_dma_support_fixes.mvlpatch
Patch1378: pro-1565-pro_sl82c105_rework_pio_support.mvlpatch
Patch1379: pro-1566-pro_sl82c105_dma_support_code_cleanup.mvlpatch
Patch1380: pro-1567-pro_sl82c105_add_speedproc_and_mwdma01_support.mvlpatch
Patch1381: pro-1568-pro_alim15x3_fix_pio_mode_setup.mvlpatch
Patch1382: pro-1569-Fix_fs_exec.c_788_de_thread_BUG_ON.mvlpatch
Patch1383: pro-1570-comm_ltt_schechange_fix.mvlpatch
Patch1384: pro-1571-common_ppc32_7448_correct_cpu_flags.mvlpatch
Patch1385: pro-1572-common_mtd_nand_layouts_16bit_fix.mvlpatch
Patch1386: pro-1573-common_mtd_nand_hwecc_constant_fix.mvlpatch
Patch1387: pro-1574-SCSI_descriptor_sense_format_mid_level.mvlpatch
Patch1388: pro-1575-SCSI_Add_missing_state_transition_BLOCK_OFFLINE.mvlpatch
Patch1389: pro-1576-SCSI_Quieten_the_incorrect_state_change_message.mvlpatch
Patch1390: pro-1577-streamline_block_SG_IO_error_processing.mvlpatch
Patch1391: pro-1578-streamline_block_SG_IO_error_processing_in_sd.mvlpatch
Patch1392: pro-1579-SCSI_Fix_style_nitpicks.mvlpatch
Patch1393: pro-1580-fix_scsi_cdrom_problem.mvlpatch
Patch1394: pro-1581-scsi_io_completion_sense_copy.mvlpatch
Patch1395: pro-1582-USB_Storage_exit_control_thread_immediately_upon.mvlpatch
Patch1396: pro-1583-USB_Storage_allow_disconnect_to_complete_faster.mvlpatch
Patch1397: pro-1584-USB_Storage_combine_waitqueues.mvlpatch
Patch1398: pro-1585-USB_Storage_close_a_race_condition_in_disconnect_near_probe.mvlpatch
Patch1399: pro-1586-USB_Storage_close_a_race_condition_in_disconnect_near_queuecommand.mvlpatch
Patch1400: pro-1587-USB_Storage_add_support_for_Maxtor_One_Touch_butt.mvlpatch
Patch1401: pro-1588-USB_Storage_Remove_MODE_XLATE_flag_from_unusual_d.mvlpatch
Patch1402: pro-1589-USB_Storage_Remove_old_XLATE_only_entries_from_un.mvlpatch
Patch1403: pro-1590-USB_Storage_support_bulk32_devices.mvlpatch
Patch1404: pro-1591-common_ARM_select_ARM_THUMB_for_ARMv5TE_and_above.mvlpatch
Patch1405: pro-1592-common_arm_kgdb_fault_with_user_context.mvlpatch
Patch1406: pro-1593-common_arm_kuser_interwork.mvlpatch
Patch1407: pro-1594-fix_race_in_idr_code.mvlpatch
Patch1408: pro-1595-idr_irqsave_for_locking.mvlpatch
Patch1409: pro-1596-bug_in_futex_unqueue_me.mvlpatch
Patch1410: pro-1597-mmc_fix_premature_use_of_md_disk.mvlpatch
Patch1411: pro-1598-mmc_always_use_a_sector_size_of_512_bytes.mvlpatch
Patch1412: pro-1599-GPIO_core.mvlpatch
Patch1413: pro-1600-GPIO_core_doc.mvlpatch
Patch1414: pro-1601-gpio_direction_output_needs_an_initial_value.mvlpatch
Patch1415: pro-1602-doc_gpio.txt_describes_open_drain_emulation.mvlpatch
Patch1416: pro-1603-documentation_gpio.txt_mentions_GENERIC_GPIO.mvlpatch
Patch1417: pro-1604-gpio_interface_loosens_call_restrictions.mvlpatch
Patch1418: pro-1605-gpio_calls_don_t_need_i_o_barriers.mvlpatch
Patch1419: pro-1606-minor_gpio_doc_update.mvlpatch
Patch1420: pro-1607-add_CONFIG_GENERIC_GPIO.mvlpatch
Patch1421: pro-1608-common_mtd_nand_layouts_no_ecc_fix.mvlpatch
Patch1422: pro-1609-common_mtd_nand_layouts_oob_fix.mvlpatch
Patch1423: pro-1610-common_mtd_nand_layouts_read_raw.mvlpatch
Patch1424: pro-1611-common_mtd_nand_ecc_hw10_512.mvlpatch
Patch1425: pro-1612-common_mtd_nand_update.mvlpatch
Patch1426: pro-1613-common_mtd_nand_fix_nand_do_read_ecc_error_check.mvlpatch
Patch1427: pro-1614-POWERPC_ppc_Fix_booke_watchdog_initialization.mvlpatch
Patch1428: pro-1615-fs_fix_mnt_namespace_zeroing.mvlpatch
Patch1429: pro-1616-common_de_thread_no_parents_ptrace_flags.mvlpatch
Patch1430: pro-1617-elv_find_try_module_get_race.mvlpatch
Patch1431: pro-1618-deal_correctly_with_NOR_chips_which_are_smaller_than_the_map_window.mvlpatch
Patch1432: pro-1619-common_USB_Storage_fix_compile_problem_for_rt.mvlpatch
Patch1433: pro-1620-pro_arm_davinci_jtag_cpu_summarize.mvlpatch
Patch1434: pro-1621-common_arm_mach_types_070726.mvlpatch
Patch1435: pro-1622-pro_arm_davinci_udma5_update.mvlpatch
Patch1436: pro-1623-DM9000_network_driver.mvlpatch
Patch1437: pro-1624-DM9000_network_driver_bugfix.mvlpatch
Patch1438: pro-1625-DM9000_spinlock_fixes.mvlpatch
Patch1439: pro-1626-DM9000_incorrect_ioctl_handling.mvlpatch
Patch1440: pro-1627-DM9000_better_checks_for_platform_resources.mvlpatch
Patch1441: pro-1628-DM9000_check_for_MAC_left_in_by_bootloader.mvlpatch
Patch1442: pro-1629-DM9000_do_no_re_init_spin_lock.mvlpatch
Patch1443: pro-1630-net_Add_netconsole_support_to_dm9000_driver.mvlpatch
Patch1444: pro-1631-Fix_dm9000_release_resource.mvlpatch
Patch1445: pro-1632-DM9000_fix_use_of_kfree_on_net_device.mvlpatch
Patch1446: pro-1633-DM9000_fix_interface_hang_under_load.mvlpatch
Patch1447: pro-1634-DM9000_initialization_fix.mvlpatch
Patch1448: pro-1635-pro_dm9000_fixes.mvlpatch
Patch1449: pro-1636-pro_dm9000_parse_mac_addr_from_cmdline.mvlpatch
Patch1450: pro-1637-pro_dm9000_lock_fix.mvlpatch
Patch1451: pro-1638-pro_arm_davinci_revert_pro_1015_usb_ti_updates.mvlpatch
Patch1452: pro-1639-pro_arm_davinci_mv_1_0_usb_fix_004.mvlpatch
Patch1453: pro-1640-pro_arm_davinci_mv_1_0_wdt_driver_005.mvlpatch
Patch1454: pro-1641-pro_arm_davinci_mv_1_0_video_resizer_driver_009.mvlpatch
Patch1455: pro-1642-pro_arm_davinci_mv_1_0_video_previewer_driver_010.mvlpatch
Patch1456: pro-1643-pro_arm_davinci_mv_1_0_i2c_repeated_start_fix_011.mvlpatch
Patch1457: pro-1644-pro_arm_davinci_mv_1_0_rtc_am_pm_support_012.mvlpatch
Patch1458: pro-1645-pro_arm_davinci_mv_1_0_vpbe_driver_013.mvlpatch
Patch1459: pro-1646-pro_arm_davinci_mv_1_0_usb_otg_support_014.mvlpatch
Patch1460: pro-1647-pro_arm_davinci_mv_1_0_clk_subsys_fix_015.mvlpatch
Patch1461: pro-1648-pro_arm_davinci_mv_1_0_auto_exposure_driver_016.mvlpatch
Patch1462: pro-1649-pro_arm_davinci_mv_1_0_auto_focus_driver_017.mvlpatch
Patch1463: pro-1650-pro_arm_davinci_mv_1_0_ccd_controller_driver_018.mvlpatch
Patch1464: pro-1651-pro_arm_davinci_mv_1_0_mmc_fixes_024.mvlpatch
Patch1465: pro-1652-pro_arm_davinci_mv_1_0_pwm_driver_026.mvlpatch
Patch1466: pro-1653-pro_arm_davinci_mv_1_0_ata_timing_and_dma_fix_027.mvlpatch
Patch1467: pro-1654-pro_arm_davinci_mv_1_0_audio_close_fix_028.mvlpatch
Patch1468: pro-1655-pro_arm_davinci_mv_1_0_rndis_cdc_hid_support_029.mvlpatch
Patch1469: pro-1656-pro_arm_davinci_mv_1_0_asp_fixes_030.mvlpatch
Patch1470: pro-1657-pro_arm_davinci_dm355_evm_temp_mach_type.mvlpatch
Patch1471: pro-1658-pro_arm_davinci_ll_debug_option.mvlpatch
Patch1472: pro-1659-pro_arm_davinci_dm355_core.mvlpatch
Patch1473: pro-1660-pro_arm_davinci_dm9000_dm355_evm.mvlpatch
Patch1474: pro-1661-pro_arm_davinci_dm355_mmc.mvlpatch
Patch1475: pro-1662-pro_arm_davinci_dm355_dm644x_pwm_fixups.mvlpatch
Patch1476: pro-1663-pro_arm_davinci_spi_driver.mvlpatch
Patch1477: pro-1664-pro_spi_rmmod_crash_fix.mvlpatch
Patch1478: pro-1665-pro_arm_davinci_mv_1_0_usb_generic_fixes_035.mvlpatch
Patch1479: pro-1666-pro_arm_davinci_dm355_mmc_fix.mvlpatch
Patch1480: pro-1667-pro_arm_davinci_serial_kgdb.mvlpatch
Patch1481: pro-1668-pro_arm_lindent_nand_davinci.mvlpatch
Patch1482: pro-1669-pro_arm_davinci_nand_dual_chip_select.mvlpatch
Patch1483: pro-1670-pro_arm_davinci_dm355_evm_nand_partition_map_for_256KB_blocks.mvlpatch
Patch1484: pro-1671-pro_arm_davinci_nand_4bit_ecc.mvlpatch
Patch1485: pro-1672-pro_arm_davinci_nand_move_bbt_to_platform_data.mvlpatch
Patch1486: pro-1673-pro_arm_dm355_nand_partitions.mvlpatch
Patch1487: pro-1674-pro_arm_davinci_drivers_ide.mvlpatch
Patch1488: pro-1675-pro_arm_davinci_add_gbe_dm6467_support.mvlpatch
Patch1489: pro-1676-pro_arm_davinci_cpu_id_update.mvlpatch
Patch1490: pro-1677-pro_arm_dm355_i2c.mvlpatch
Patch1491: pro-1678-pro_arm_davinci_dm355_dma.mvlpatch
Patch1492: pro-1679-pro_arm_davinci_add_dm6467_and_dm355_support.mvlpatch
Patch1493: pro-1680-pro_arm_davinci_usb_dm355_dm6467_support.mvlpatch
Patch1494: pro-1681-pro_arm_davinci_4457_2_GPIO_support.mvlpatch
Patch1495: pro-1682-pro_arm_davinci_4457_2_GPIO_support_user.mvlpatch
Patch1496: pro-1683-pro_arm_davinci_irq_dont_use_eabase_or_iram.mvlpatch
Patch1497: pro-1684-pro_arm_davinci_mach_misc_sync.mvlpatch
Patch1498: pro-1685-pro_arm_davinci_audio.mvlpatch
Patch1499: pro-1686-pro_arm_davinci_sound_update.mvlpatch
Patch1500: pro-1687-pro_arm_davinci_audio_mcbsp_init_fix_and_null_buf.mvlpatch
Patch1501: pro-1688-pro_arm_davinci_i2c_remove_rar_print.mvlpatch
Patch1502: pro-1689-pro_arm_davinci_new_pinmux_layer.mvlpatch
Patch1503: pro-1690-pro_arm_dm355_yaffs2.mvlpatch
Patch1504: pro-1691-pro_arm_davinci_yaffs2_crash.mvlpatch
Patch1505: pro-1692-pro_arm_davinci_dm355_gpio_fixes.mvlpatch
Patch1506: pro-1693-pro_arm_davinci_vdce.mvlpatch
Patch1507: pro-1694-pro_arm_davinci_video_file_move.mvlpatch
Patch1508: pro-1695-pro_arm_davinci_video_dm355.mvlpatch
Patch1509: pro-1696-pro_arm_davinci_video_dm6467.mvlpatch
Patch1510: pro-1697-fbdev_update_info_cmap_when_setting_cmap_from_user_or_kernelspace.mvlpatch
Patch1511: pro-1698-pro_arm_davinci_video_module_and_dma_memory.mvlpatch
Patch1512: pro-1699-pro_arm_davinci_video_display_crop_ioctl_fix.mvlpatch
Patch1513: pro-1700-pro_arm_davinci_video_display_ntsc_pal_progressive_fix.mvlpatch
Patch1514: pro-1701-pro_arm_davinci_otg_whitelist.mvlpatch
Patch1515: pro-1702-pro_arm_davinci_mmzone.mvlpatch
Patch1516: pro-1703-pro_arm_dm355_wdt_fix.mvlpatch
Patch1517: pro-1704-pro_arm_davinci_video_display_flickering_fix.mvlpatch
Patch1518: pro-1705-pro_arm_davinci_mmc_card_insertion_removal_bug.mvlpatch
Patch1519: pro-1706-pro_arm_davinci_pwm_free_memory_access_fix.mvlpatch
Patch1520: pro-1707-pro_arm_davinci_video_add_export_symbols_fixes_checkpatch.mvlpatch
Patch1521: pro-1708-pro_arm_davinci_video_remove_unneeded_volatile_fixes_checkpatch.mvlpatch
Patch1522: pro-1709-pro_arm_davinci_compile_warning.mvlpatch
Patch1523: pro-1710-pro_arm_davinci_video_display_change_mode_and_video_alignment_fix.mvlpatch
Patch1524: pro-1711-pro_arm_davinci_video_v4l2_capture_and_display_memory_leak_fix.mvlpatch
Patch1525: pro-1712-pro_arm_davinci_osd_fix_interlaced_end_of_frame.mvlpatch
Patch1526: pro-1713-pro_arm_davinci_usb_iso.mvlpatch
Patch1527: pro-1714-pro_arm_davinci_pwm_module_fix.mvlpatch
Patch1528: pro-1715-pro_arm_davinci_mtd_nor_128KB_partition_alignment.mvlpatch
Patch1529: pro-1716-pro_arm_davinci_mtd_nor_unlock_flash.mvlpatch
Patch1530: pro-1717-pro_arm_davinci_v4l2_display_interlaced_video_synchronization.mvlpatch
Patch1531: pro-1718-pro_arm_davinci_video_display_480p_576p_update.mvlpatch
Patch1532: pro-1719-ipv6_acquire_addrconf_hash_lock_for_read_in_addrconf_verify.mvlpatch
Patch1533: pro-1720-common_ltt_tracedaemon_sigkill.mvlpatch
Patch1534: pro-1721-pro_arm_davinci_dm644x_kernel_conf_for_dm344_release.mvlpatch
Patch1535: pro-1722-common_fix_mvl_40x_compiler_warnings.mvlpatch
Patch1536: pro-1723-pro_arm_davinci_nand_dm646x_support.mvlpatch
Patch1537: pro-1724-pro_arm_davinci_dm6467_cir.mvlpatch
Patch1538: pro-1725-pro_arm_davinci_dm6467_pci.mvlpatch
Patch1539: pro-1726-pro_arm_davinci_wdt_range.mvlpatch
Patch1540: pro-1727-pro_arm_davinci_dm6467_tsif.mvlpatch
Patch1541: pro-1728-pro_arm_davinci_dm6467_sound_module_fix.mvlpatch
Patch1542: pro-1729-pro_arm_davinci_dm6467_interrupt_priority.mvlpatch
Patch1543: pro-1730-pro_arm_davinci_dm6467_gpio_clock.mvlpatch
Patch1544: pro-1731-pro_arm_davinci_dm6467_remove_nor_init.mvlpatch
Patch1545: pro-1732-pro_arm_davinci_vlynq.mvlpatch
Patch1546: pro-1733-pro_arm_davinci_emac_meaningful_intr_names.mvlpatch
Patch1547: pro-1734-pro_arm_davinci_video_pixel_format_error_check.mvlpatch
Patch1548: pro-1735-pro_arm_davinci_usb_endian_information.mvlpatch
Patch1549: pro-1736-pro_arm_davinci_usb_meaningful_intr_names.mvlpatch
Patch1550: pro-1737-pro_arm_davinci_usb_remove_unnecessary_comments.mvlpatch
Patch1551: pro-1738-pro_arm_davinci_video_encoder_fb_depend.mvlpatch
Patch1552: pro-1739-pro_arm_davinci_idtcmenable.mvlpatch
Patch1553: pro-1740-pro_arm_davinci_dm6467_pinmux.mvlpatch
Patch1554: pro-1741-pro_arm_davinci_nand_exit_compiler_warning.mvlpatch
Patch1555: pro-1742-pro_arm_davinci_kernel_config_for_DM644x_DM646x.mvlpatch
Patch1556: pro-1743-pro_arm_davinci_cir_start_bit_check.mvlpatch
Patch1557: pro-1744-pro_arm_davinci_dm6467_EVM_name_correction.mvlpatch
Patch1558: pro-1745-pro_arm_davinci_dm6467_tsif_video_pinmux_enhancement.mvlpatch
Patch1559: pro-1746-pro_arm_davinci_dm6467_mcasp_use_i2s_mode.mvlpatch
Patch1560: pro-1747-pro_arm_davinci_dm6467_tsif_update.mvlpatch
Patch1561: pro-1748-pro_arm_davinci_dm6467_allow_simultaneous_encode_decode.mvlpatch
Patch1562: pro-1749-pro_arm_davinci_dm6467_video_fixes.mvlpatch
Patch1563: pro-1750-0184_ARM_3737_1_Export_ARM_copy_clear_user_page_symbols.mvlpatch
Patch1564: pro-1751-pdc202xx_old_remove_SPLIT_BYTE_macro.mvlpatch
Patch1565: pro-1752-pdc202xx_old_merge_header.mvlpatch
Patch1566: pro-1753-pdc202xx_old_depends_on_CONFIG_BLK_DEV_IDEDMA.mvlpatch
Patch1567: pro-1754-pdc202xx_old_remove_commented_out_code.mvlpatch
Patch1568: pro-1755-pdc202xx_old_clean_up_so_its_more_readable.mvlpatch
Patch1569: pro-1756-pdc202xx_old_enable_cdrom_dma_access.mvlpatch
Patch1570: pro-1757-pdc202xx_old_fix_pio_mode_setup.mvlpatch
Patch1571: pro-1758-ide_fix_error_handling_for_drives_clearing_fifo_on_error.mvlpatch
Patch1572: pro-1759-ide_cable_detection_fixes.mvlpatch
Patch1573: pro-1760-pdc202xx_old_remove_dead_code.mvlpatch
Patch1574: pro-1761-pdc202xx_old_rewrite_mode_programming_code.mvlpatch
Patch1575: pro-1762-common_blk_fix_potential_oops_in_blkdev_open.mvlpatch
Patch1576: pro-1763-common_fix_task_user_access_race.mvlpatch
Patch1577: pro-1764-epoll_handle_timeout_overflow.mvlpatch
Patch1578: pro-1765-time_runx_too_fast_after_S3.mvlpatch
Patch1579: pro-1766-common_grow_buffers_infinite_loop_fix.mvlpatch
Patch1580: pro-1767-arch_x86_kernel_cpu_mcheck_p4c_kernel_2624_rc5.mvlpatch
Patch1581: pro-1768-TCP_Do_not_use_inet_id_of_global_tcp_socket_when.mvlpatch
Patch1582: pro-1769-fix_crash_in_entry.S_restore_all.mvlpatch
Patch1583: pro-1770-pdc202xx_new_set_err_stops_fifo.mvlpatch
Patch1584: pro-1771-pdc202xx_new_fix_pio_mode_setup.mvlpatch
Patch1585: pro-1772-pdc202xx_new_remove_useless_code.mvlpatch
Patch1586: pro-1773-pdc202xx_remove_check_in_drive_lists.mvlpatch
Patch1587: pro-1774-pdc202xx_old_add_missing_dma_base_check.mvlpatch
Patch1588: pro-1775-pdc202xx_old_remove_broken_swdma_support.mvlpatch
Patch1589: pro-1776-random_fix_error_in_entropy_extraction.mvlpatch
Patch1590: pro-1777-random_fix_seeding_with_zero_entropy.mvlpatch
Patch1591: pro-1778-IPv6_Defer_IPv6_device_initialization_until_the_link_becomes_ready.mvlpatch
Patch1592: pro-1779-IPv6_Run_DAD_when_the_link_becomes_ready.mvlpatch
Patch1593: pro-1780-IPv6_addrconf_register_inet6_dev_earlier.mvlpatch
Patch1594: pro-1781-IPv6_Set_IF_READY_if_the_device_is_up_and_has_carrier.mvlpatch
Patch1595: pro-1782-IPsec_validate_properly_in_xfrm_dst_check.mvlpatch
Patch1596: pro-1783-XFRM_Add_generation_count_to_xfrm_state_and_xfrm_dst.mvlpatch
Patch1597: pro-1784-XFRM_Do_not_flush_all_bundles_on_SA_insert.mvlpatch
Patch1598: pro-1785-pro_mips_emma2rh_fixup.mvlpatch
Patch1599: pro-1786-pro_mips_tx4939_sio_fixup.mvlpatch
Patch1600: pro-1787-ppc32_cpm_uart_fixed_odd_address_translations.mvlpatch
Patch1601: pro-1788-ppc32_cpm_uart_fixed_break_send_on_scc.mvlpatch
Patch1602: pro-1789-initialize_a_spin_lock_in_CPM2_uart_driver.mvlpatch
Patch1603: pro-1790-cpm_uart_fix_compilation_with_gcc4.0.1.mvlpatch
Patch1604: pro-1791-cpm_uart_fix_non_console_transmit.mvlpatch
Patch1605: pro-1792-cpm_uart_fix_non_console_initialisation.mvlpatch
Patch1606: pro-1793-ppc32_cpm_uart_fix_xchar_sending.mvlpatch
Patch1607: pro-1794-ppc32_8xx_avoid_icbi_misbehaviour_in_flush_dcache_icache_phys.mvlpatch
Patch1608: pro-1795-pro_mips_tx4939_pci_fixup.mvlpatch
Patch1609: pro-1796-ide_fix_via82cxxx_resume_failure.mvlpatch
Patch1610: pro-1797-common_jbd_journal_dirty_data_re_check_for_unmapped_buffers.mvlpatch
Patch1611: pro-1798-common_ltt_tracedaemon_buffer_full_race.mvlpatch
Patch1612: pro-1799-pro_smc91x_bank_mismatch.mvlpatch
Patch1613: pro-1800-pro_ppc32_mpc8xxads_ifdef_mtd_partitions.mvlpatch
Patch1614: pro-1801-pro_net_phylib_fix_forced_mode_misbehaviour_for_aneg_off_case.mvlpatch
Patch1615: pro-1802-pro_mips_cavium_octeon_support_for_58xx_boards.mvlpatch
Patch1616: pro-1803-pro_mips_cavium_octeon_ethernet_update.mvlpatch
Patch1617: pro-1804-pro_mips_cavium_octeon_compact_flash_update.mvlpatch
Patch1618: pro-1805-pro_mips_cavium_octeon_new_headers_from_SDK16.mvlpatch
Patch1619: pro-1806-pro_mips_cavium_octeon_update_for_existing_hearders_SDK16.mvlpatch
Patch1620: pro-1807-pro_mips_cavium_octeon_support_for_new_cpus.mvlpatch
Patch1621: pro-1808-pro_mips_cavium_octeon_arch_update_SDK16.mvlpatch
Patch1622: pro-1809-pro_mips_cavium_octeon_fast_access_to_thread_pointer.mvlpatch
Patch1623: pro-1810-pro_mips_add_gcc4x_compiler_support.mvlpatch
Patch1624: pro-1811-pro_mips_cavium_octeon_support_for_own_dma.mvlpatch
Patch1625: pro-1812-pro_mips_cavium_octeon_update_for_kernel_entry_init.mvlpatch
Patch1626: pro-1813-pro_mips_cavium_octeon_set_affinity_for_IRQs.mvlpatch
Patch1627: pro-1814-pro_mips_cavium_octeon_saa_atomic_ops_and_cpu_features_update.mvlpatch
Patch1628: pro-1815-pro_mips_cavium_octeon_optimized_bitops.mvlpatch
Patch1629: pro-1816-pro_mips_cavium_octeon_lock_often_used_kernel_code_in_L2.mvlpatch
Patch1630: pro-1817-pro_mips_cavium_octeon_errata_core301_workaround.mvlpatch
Patch1631: pro-1818-pro_mips_cavium_octeon_enchanced_udelay_support.mvlpatch
Patch1632: pro-1819-pro_mips_cavium_octeon_discontigmem.mvlpatch
Patch1633: pro-1820-pro_mips_cavium_octeon_family_in_proc_fix.mvlpatch
Patch1634: pro-1821-mips_hack_to_resolve_longstanding_prefetch_issue.mvlpatch
Patch1635: pro-1822-pro_mips_cavium_octeon_ECC_errors_fix.mvlpatch
Patch1636: pro-1823-pro_mips_cavium_octeon_kfdboe_fix.mvlpatch
Patch1637: pro-1824-pro_mips64_fix_o32_elf_coredumps.mvlpatch
Patch1638: pro-1825-ext3_fix_race_between_ext3_make_block_reservation.mvlpatch
Patch1639: pro-1826-common_ipsec_xfrm_lookup_freeze_fix.mvlpatch
Patch1640: pro-1827-common_printk_preempt_enable.mvlpatch
Patch1641: pro-1828-libata_Add_missing_hooks_to_avoid_oops_in_advance.mvlpatch
Patch1642: pro-1829-pro_arm_ixp2000_add_UPF_BOOT_AUTOCONF_to_IXP2000_serial_ports.mvlpatch
Patch1643: pro-1830-pro_arm_ixp2000_flash_remove_add_missing_dereference.mvlpatch
Patch1644: pro-1831-POWERPC_Add_uartlite_boot_console_driver_for_the_z.mvlpatch
Patch1645: pro-1832-POWERPC_Uartlite_Flush_RX_fifo_in_bootwrapper.mvlpatch
Patch1646: pro-1833-TCP_Do_not_try_to_collapse_multi_packet_SKBs.mvlpatch
Patch1647: pro-1834-common_ipv6_addrconf_dst_alloc_fix.mvlpatch
Patch1648: pro-1835-ipv6_fix_address_interface_handling_according_to_the_scoping_architecture.mvlpatch
Patch1649: pro-1836-ipv6_fix_address_interface_handling_in_UDP_according_to_scope.mvlpatch
Patch1650: pro-1837-IPSEC_xfrm_Undo_afinfo_lock_proliferation.mvlpatch
Patch1651: pro-1838-common_ppc32_mpc8360_handle_r2_1_RGMII_timing_erratum.mvlpatch
Patch1652: pro-1839-net_fs_enet_set_multicast_list_on_restart.mvlpatch
Patch1653: pro-1840-ipv6_fix_dead_lock_in_addrconf_dad_stop_due_to_ifp_lock.mvlpatch
Patch1654: pro-1841-ipv6_fix_dead_lock_in_addrconf_dad_stop_due_to_idev_lock.mvlpatch
Patch1655: pro-1842-ipv6_address_autoconfiguration_does_not_work_after_device_down_up_cycle.mvlpatch
Patch1656: pro-1843-fix_sys_flock_race.mvlpatch
Patch1657: pro-1844-pro_ppc_xilinx_ml403_i2c_lowlevel_edk91isp2.mvlpatch
Patch1658: pro-1845-pro_ppc_xilinx_ml403_i2c_dyncontroller_edk91isp2.mvlpatch
Patch1659: pro-1846-pro_ppc_xilinx_ml403_i2c_algo_edk91isp2.mvlpatch
Patch1660: pro-1847-pro_arm_davinci_no_hrt_config_compile.mvlpatch
Patch1661: pro-1848-common_pxa_monahans_sound_pm_fix.mvlpatch
Patch1662: pro-1849-common_pxa_monahans_ssp.mvlpatch
Patch1663: pro-1850-common_pxa_monahans_sound_voice.mvlpatch
Patch1664: pro-1851-common_ppc64_module_build_fix.mvlpatch
Patch1665: pro-1852-x86_fix_potential_jiffies_overflow_in_timer_resum.mvlpatch
Patch1666: pro-1853-buffer_memorder_fix.mvlpatch
Patch1667: pro-1854-i386_fix_size_or_mask_and_size_and_mask.mvlpatch
Patch1668: pro-1855-ARM_3530_1_PXA_Mainstone_prevent_double_enable_i.mvlpatch
Patch1669: pro-1856-ext3_enoent_link_unlink_race.mvlpatch
Patch1670: pro-1857-aio_fix_buggy_put_ioctx_call_in_aio_complete_v2.mvlpatch
Patch1671: pro-1858-ARM_Fix_ARM_branch_relocation_range.mvlpatch
Patch1672: pro-1859-vfs_coredumping_fix.mvlpatch
Patch1673: pro-1860-x86_64_mce_nr_bank_increase.mvlpatch
Patch1674: pro-1861-pro_ppc32_fs_enet_delay_fix.mvlpatch
Patch1675: pro-1862-pro_ppc32_8xx_cpu15_errata_workaround.mvlpatch
Patch1676: pro-1863-pro_ppc32_ucc_geth_timer_fix.mvlpatch
Patch1677: pro-1864-pro_ppc32_sequoia_add_rgmii_support.mvlpatch

License: GPL
Group: LSP
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_install_prefix}
BuildRequires: host-kernel = %{version}
BuildArch: noarch

%description
This package contains the kernel source code and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.

# Binary package
%package -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
Summary: Linux Support Package for the %{BOARD_NAME}
Group: LSP
AutoReqProv: no


%description -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
This package contains the source and documentation for the
%{BOARD_NAME}
Linux Support Package as part of MontaVista Linux.

<lsp>
Yamaha&reg; S84X
</lsp>

%prep
%target_check

rm -rf %{buildroot}
mkdir -p %{buildroot}%{MY_LSPDIR}
cd %{buildroot}%{MY_LSPDIR}

# Copy the raw kernel tree here.
tar -C %{_hhl_kernel_dir} -cf - %{KDIR} | tar xf -
cp %{SOURCE20} %{KDIR}/arch/%{_mvl_target_cpu}/ramdisk/ramdisk.gz

# Do some prep in the sources

cd %{KDIR}
%if "%{_hhl_integration_patch}" == "true"
patch -p1 < %{PATCH10}
%endif 

# apply MVL official patches
sh %{PATCH100}
sh %{PATCH101}
sh %{PATCH102}
sh %{PATCH103}
sh %{PATCH104}
sh %{PATCH105}
sh %{PATCH106}
sh %{PATCH107}
sh %{PATCH108}
sh %{PATCH109}
sh %{PATCH110}
sh %{PATCH111}
sh %{PATCH112}
sh %{PATCH113}
sh %{PATCH114}
sh %{PATCH115}
sh %{PATCH116}
sh %{PATCH117}
sh %{PATCH118}
sh %{PATCH119}
sh %{PATCH120}
sh %{PATCH121}
sh %{PATCH122}
sh %{PATCH123}
sh %{PATCH124}
sh %{PATCH125}
sh %{PATCH126}
sh %{PATCH127}
sh %{PATCH128}
sh %{PATCH129}
sh %{PATCH130}
sh %{PATCH131}
sh %{PATCH132}
sh %{PATCH133}
sh %{PATCH134}
sh %{PATCH135}
sh %{PATCH136}
sh %{PATCH137}
sh %{PATCH138}
sh %{PATCH139}
sh %{PATCH140}
sh %{PATCH141}
sh %{PATCH142}
sh %{PATCH143}
sh %{PATCH144}
sh %{PATCH145}
sh %{PATCH146}
sh %{PATCH147}
sh %{PATCH148}
sh %{PATCH149}
sh %{PATCH150}
sh %{PATCH151}
sh %{PATCH152}
sh %{PATCH153}
sh %{PATCH154}
sh %{PATCH155}
sh %{PATCH156}
sh %{PATCH157}
sh %{PATCH158}
sh %{PATCH159}
sh %{PATCH160}
sh %{PATCH161}
sh %{PATCH162}
sh %{PATCH163}
sh %{PATCH164}
sh %{PATCH165}
sh %{PATCH166}
sh %{PATCH167}
sh %{PATCH168}
sh %{PATCH169}
sh %{PATCH170}
sh %{PATCH171}
sh %{PATCH172}
sh %{PATCH173}
sh %{PATCH174}
sh %{PATCH175}
sh %{PATCH176}
sh %{PATCH177}
sh %{PATCH178}
sh %{PATCH179}
sh %{PATCH180}
sh %{PATCH181}
sh %{PATCH182}
sh %{PATCH183}
sh %{PATCH184}
sh %{PATCH185}
sh %{PATCH186}
sh %{PATCH187}
sh %{PATCH188}
sh %{PATCH189}
sh %{PATCH190}
sh %{PATCH191}
sh %{PATCH192}
sh %{PATCH193}
sh %{PATCH194}
sh %{PATCH195}
sh %{PATCH196}
sh %{PATCH197}
sh %{PATCH198}
sh %{PATCH199}
sh %{PATCH200}
sh %{PATCH201}
sh %{PATCH202}
sh %{PATCH203}
sh %{PATCH204}
sh %{PATCH205}
sh %{PATCH206}
sh %{PATCH207}
sh %{PATCH208}
sh %{PATCH209}
sh %{PATCH210}
sh %{PATCH211}
sh %{PATCH212}
sh %{PATCH213}
sh %{PATCH214}
sh %{PATCH215}
sh %{PATCH216}
sh %{PATCH217}
sh %{PATCH218}
sh %{PATCH219}
sh %{PATCH220}
sh %{PATCH221}
sh %{PATCH222}
sh %{PATCH223}
sh %{PATCH224}
sh %{PATCH225}
sh %{PATCH226}
sh %{PATCH227}
sh %{PATCH228}
sh %{PATCH229}
sh %{PATCH230}
sh %{PATCH231}
sh %{PATCH232}
sh %{PATCH233}
sh %{PATCH234}
sh %{PATCH235}
sh %{PATCH236}
sh %{PATCH237}
sh %{PATCH238}
sh %{PATCH239}
sh %{PATCH240}
sh %{PATCH241}
sh %{PATCH242}
sh %{PATCH243}
sh %{PATCH244}
sh %{PATCH245}
sh %{PATCH246}
sh %{PATCH247}
sh %{PATCH248}
sh %{PATCH249}
sh %{PATCH250}
sh %{PATCH251}
sh %{PATCH252}
sh %{PATCH253}
sh %{PATCH254}
sh %{PATCH255}
sh %{PATCH256}
sh %{PATCH257}
sh %{PATCH258}
sh %{PATCH259}
sh %{PATCH260}
sh %{PATCH261}
sh %{PATCH262}
sh %{PATCH263}
sh %{PATCH264}
sh %{PATCH265}
sh %{PATCH266}
sh %{PATCH267}
sh %{PATCH268}
sh %{PATCH269}
sh %{PATCH270}
sh %{PATCH271}
sh %{PATCH272}
sh %{PATCH273}
sh %{PATCH274}
sh %{PATCH275}
sh %{PATCH276}
sh %{PATCH277}
sh %{PATCH278}
sh %{PATCH279}
sh %{PATCH280}
sh %{PATCH281}
sh %{PATCH282}
sh %{PATCH283}
sh %{PATCH284}
sh %{PATCH285}
sh %{PATCH286}
sh %{PATCH287}
sh %{PATCH288}
sh %{PATCH289}
sh %{PATCH290}
sh %{PATCH291}
sh %{PATCH292}
sh %{PATCH293}
sh %{PATCH294}
sh %{PATCH295}
sh %{PATCH296}
sh %{PATCH297}
sh %{PATCH298}
sh %{PATCH299}
sh %{PATCH300}
sh %{PATCH301}
sh %{PATCH302}
sh %{PATCH303}
sh %{PATCH304}
sh %{PATCH305}
sh %{PATCH306}
sh %{PATCH307}
sh %{PATCH308}
sh %{PATCH309}
sh %{PATCH310}
sh %{PATCH311}
sh %{PATCH312}
sh %{PATCH313}
sh %{PATCH314}
sh %{PATCH315}
sh %{PATCH316}
sh %{PATCH317}
sh %{PATCH318}
sh %{PATCH319}
sh %{PATCH320}
sh %{PATCH321}
sh %{PATCH322}
sh %{PATCH323}
sh %{PATCH324}
sh %{PATCH325}
sh %{PATCH326}
sh %{PATCH327}
sh %{PATCH328}
sh %{PATCH329}
sh %{PATCH330}
sh %{PATCH331}
sh %{PATCH332}
sh %{PATCH333}
sh %{PATCH334}
sh %{PATCH335}
sh %{PATCH336}
sh %{PATCH337}
sh %{PATCH338}
sh %{PATCH339}
sh %{PATCH340}
sh %{PATCH341}
sh %{PATCH342}
sh %{PATCH343}
sh %{PATCH344}
sh %{PATCH345}
sh %{PATCH346}
sh %{PATCH347}
sh %{PATCH348}
sh %{PATCH349}
sh %{PATCH350}
sh %{PATCH351}
sh %{PATCH352}
sh %{PATCH353}
sh %{PATCH354}
sh %{PATCH355}
sh %{PATCH356}
sh %{PATCH357}
sh %{PATCH358}
sh %{PATCH359}
sh %{PATCH360}
sh %{PATCH361}
sh %{PATCH362}
sh %{PATCH363}
sh %{PATCH364}
sh %{PATCH365}
sh %{PATCH366}
sh %{PATCH367}
sh %{PATCH368}
sh %{PATCH369}
sh %{PATCH370}
sh %{PATCH371}
sh %{PATCH372}
sh %{PATCH373}
sh %{PATCH374}
sh %{PATCH375}
sh %{PATCH376}
sh %{PATCH377}
sh %{PATCH378}
sh %{PATCH379}
sh %{PATCH380}
sh %{PATCH381}
sh %{PATCH382}
sh %{PATCH383}
sh %{PATCH384}
sh %{PATCH385}
sh %{PATCH386}
sh %{PATCH387}
sh %{PATCH388}
sh %{PATCH389}
sh %{PATCH390}
sh %{PATCH391}
sh %{PATCH392}
sh %{PATCH393}
sh %{PATCH394}
sh %{PATCH395}
sh %{PATCH396}
sh %{PATCH397}
sh %{PATCH398}
sh %{PATCH399}
sh %{PATCH400}
sh %{PATCH401}
sh %{PATCH402}
sh %{PATCH403}
sh %{PATCH404}
sh %{PATCH405}
sh %{PATCH406}
sh %{PATCH407}
sh %{PATCH408}
sh %{PATCH409}
sh %{PATCH410}
sh %{PATCH411}
sh %{PATCH412}
sh %{PATCH413}
sh %{PATCH414}
sh %{PATCH415}
sh %{PATCH416}
sh %{PATCH417}
sh %{PATCH418}
sh %{PATCH419}
sh %{PATCH420}
sh %{PATCH421}
sh %{PATCH422}
sh %{PATCH423}
sh %{PATCH424}
sh %{PATCH425}
sh %{PATCH426}
sh %{PATCH427}
sh %{PATCH428}
sh %{PATCH429}
sh %{PATCH430}
sh %{PATCH431}
sh %{PATCH432}
sh %{PATCH433}
sh %{PATCH434}
sh %{PATCH435}
sh %{PATCH436}
sh %{PATCH437}
sh %{PATCH438}
sh %{PATCH439}
sh %{PATCH440}
sh %{PATCH441}
sh %{PATCH442}
sh %{PATCH443}
sh %{PATCH444}
sh %{PATCH445}
sh %{PATCH446}
sh %{PATCH447}
sh %{PATCH448}
sh %{PATCH449}
sh %{PATCH450}
sh %{PATCH451}
sh %{PATCH452}
sh %{PATCH453}
sh %{PATCH454}
sh %{PATCH455}
sh %{PATCH456}
sh %{PATCH457}
sh %{PATCH458}
sh %{PATCH459}
sh %{PATCH460}
sh %{PATCH461}
sh %{PATCH462}
sh %{PATCH463}
sh %{PATCH464}
sh %{PATCH465}
sh %{PATCH466}
sh %{PATCH467}
sh %{PATCH468}
sh %{PATCH469}
sh %{PATCH470}
sh %{PATCH471}
sh %{PATCH472}
sh %{PATCH473}
sh %{PATCH474}
sh %{PATCH475}
sh %{PATCH476}
sh %{PATCH477}
sh %{PATCH478}
sh %{PATCH479}
sh %{PATCH480}
sh %{PATCH481}
sh %{PATCH482}
sh %{PATCH483}
sh %{PATCH484}
sh %{PATCH485}
sh %{PATCH486}
sh %{PATCH487}
sh %{PATCH488}
sh %{PATCH489}
sh %{PATCH490}
sh %{PATCH491}
sh %{PATCH492}
sh %{PATCH493}
sh %{PATCH494}
sh %{PATCH495}
sh %{PATCH496}
sh %{PATCH497}
sh %{PATCH498}
sh %{PATCH499}
sh %{PATCH500}
sh %{PATCH501}
sh %{PATCH502}
sh %{PATCH503}
sh %{PATCH504}
sh %{PATCH505}
sh %{PATCH506}
sh %{PATCH507}
sh %{PATCH508}
sh %{PATCH509}
sh %{PATCH510}
sh %{PATCH511}
sh %{PATCH512}
sh %{PATCH513}
sh %{PATCH514}
sh %{PATCH515}
sh %{PATCH516}
sh %{PATCH517}
sh %{PATCH518}
sh %{PATCH519}
sh %{PATCH520}
sh %{PATCH521}
sh %{PATCH522}
sh %{PATCH523}
sh %{PATCH524}
sh %{PATCH525}
sh %{PATCH526}
sh %{PATCH527}
sh %{PATCH528}
sh %{PATCH529}
sh %{PATCH530}
sh %{PATCH531}
sh %{PATCH532}
sh %{PATCH533}
sh %{PATCH534}
sh %{PATCH535}
sh %{PATCH536}
sh %{PATCH537}
sh %{PATCH538}
sh %{PATCH539}
sh %{PATCH540}
sh %{PATCH541}
sh %{PATCH542}
sh %{PATCH543}
sh %{PATCH544}
sh %{PATCH545}
sh %{PATCH546}
sh %{PATCH547}
sh %{PATCH548}
sh %{PATCH549}
sh %{PATCH550}
sh %{PATCH551}
sh %{PATCH552}
sh %{PATCH553}
sh %{PATCH554}
sh %{PATCH555}
sh %{PATCH556}
sh %{PATCH557}
sh %{PATCH558}
sh %{PATCH559}
sh %{PATCH560}
sh %{PATCH561}
sh %{PATCH562}
sh %{PATCH563}
sh %{PATCH564}
sh %{PATCH565}
sh %{PATCH566}
sh %{PATCH567}
sh %{PATCH568}
sh %{PATCH569}
sh %{PATCH570}
sh %{PATCH571}
sh %{PATCH572}
sh %{PATCH573}
sh %{PATCH574}
sh %{PATCH575}
sh %{PATCH576}
sh %{PATCH577}
sh %{PATCH578}
sh %{PATCH579}
sh %{PATCH580}
sh %{PATCH581}
sh %{PATCH582}
sh %{PATCH583}
sh %{PATCH584}
sh %{PATCH585}
sh %{PATCH586}
sh %{PATCH587}
sh %{PATCH588}
sh %{PATCH589}
sh %{PATCH590}
sh %{PATCH591}
sh %{PATCH592}
sh %{PATCH593}
sh %{PATCH594}
sh %{PATCH595}
sh %{PATCH596}
sh %{PATCH597}
sh %{PATCH598}
sh %{PATCH599}
sh %{PATCH600}
sh %{PATCH601}
sh %{PATCH602}
sh %{PATCH603}
sh %{PATCH604}
sh %{PATCH605}
sh %{PATCH606}
sh %{PATCH607}
sh %{PATCH608}
sh %{PATCH609}
sh %{PATCH610}
sh %{PATCH611}
sh %{PATCH612}
sh %{PATCH613}
sh %{PATCH614}
sh %{PATCH615}
sh %{PATCH616}
sh %{PATCH617}
sh %{PATCH618}
sh %{PATCH619}
sh %{PATCH620}
sh %{PATCH621}
sh %{PATCH622}
sh %{PATCH623}
sh %{PATCH624}
sh %{PATCH625}
sh %{PATCH626}
sh %{PATCH627}
sh %{PATCH628}
sh %{PATCH629}
sh %{PATCH630}
sh %{PATCH631}
sh %{PATCH632}
sh %{PATCH633}
sh %{PATCH634}
sh %{PATCH635}
sh %{PATCH636}
sh %{PATCH637}
sh %{PATCH638}
sh %{PATCH639}
sh %{PATCH640}
sh %{PATCH641}
sh %{PATCH642}
sh %{PATCH643}
sh %{PATCH644}
sh %{PATCH645}
sh %{PATCH646}
sh %{PATCH647}
sh %{PATCH648}
sh %{PATCH649}
sh %{PATCH650}
sh %{PATCH651}
sh %{PATCH652}
sh %{PATCH653}
sh %{PATCH654}
sh %{PATCH655}
sh %{PATCH656}
sh %{PATCH657}
sh %{PATCH658}
sh %{PATCH659}
sh %{PATCH660}
sh %{PATCH661}
sh %{PATCH662}
sh %{PATCH663}
sh %{PATCH664}
sh %{PATCH665}
sh %{PATCH666}
sh %{PATCH667}
sh %{PATCH668}
sh %{PATCH669}
sh %{PATCH670}
sh %{PATCH671}
sh %{PATCH672}
sh %{PATCH673}
sh %{PATCH674}
sh %{PATCH675}
sh %{PATCH676}
sh %{PATCH677}
sh %{PATCH678}
sh %{PATCH679}
sh %{PATCH680}
sh %{PATCH681}
sh %{PATCH682}
sh %{PATCH683}
sh %{PATCH684}
sh %{PATCH685}
sh %{PATCH686}
sh %{PATCH687}
sh %{PATCH688}
sh %{PATCH689}
sh %{PATCH690}
sh %{PATCH691}
sh %{PATCH692}
sh %{PATCH693}
sh %{PATCH694}
sh %{PATCH695}
sh %{PATCH696}
sh %{PATCH697}
sh %{PATCH698}
sh %{PATCH699}
sh %{PATCH700}
sh %{PATCH701}
sh %{PATCH702}
sh %{PATCH703}
sh %{PATCH704}
sh %{PATCH705}
sh %{PATCH706}
sh %{PATCH707}
sh %{PATCH708}
sh %{PATCH709}
sh %{PATCH710}
sh %{PATCH711}
sh %{PATCH712}
sh %{PATCH713}
sh %{PATCH714}
sh %{PATCH715}
sh %{PATCH716}
sh %{PATCH717}
sh %{PATCH718}
sh %{PATCH719}
sh %{PATCH720}
sh %{PATCH721}
sh %{PATCH722}
sh %{PATCH723}
sh %{PATCH724}
sh %{PATCH725}
sh %{PATCH726}
sh %{PATCH727}
sh %{PATCH728}
sh %{PATCH729}
sh %{PATCH730}
sh %{PATCH731}
sh %{PATCH732}
sh %{PATCH733}
sh %{PATCH734}
sh %{PATCH735}
sh %{PATCH736}
sh %{PATCH737}
sh %{PATCH738}
sh %{PATCH739}
sh %{PATCH740}
sh %{PATCH741}
sh %{PATCH742}
sh %{PATCH743}
sh %{PATCH744}
sh %{PATCH745}
sh %{PATCH746}
sh %{PATCH747}
sh %{PATCH748}
sh %{PATCH749}
sh %{PATCH750}
sh %{PATCH751}
sh %{PATCH752}
sh %{PATCH753}
sh %{PATCH754}
sh %{PATCH755}
sh %{PATCH756}
sh %{PATCH757}
sh %{PATCH758}
sh %{PATCH759}
sh %{PATCH760}
sh %{PATCH761}
sh %{PATCH762}
sh %{PATCH763}
sh %{PATCH764}
sh %{PATCH765}
sh %{PATCH766}
sh %{PATCH767}
sh %{PATCH768}
sh %{PATCH769}
sh %{PATCH770}
sh %{PATCH771}
sh %{PATCH772}
sh %{PATCH773}
sh %{PATCH774}
sh %{PATCH775}
sh %{PATCH776}
sh %{PATCH777}
sh %{PATCH778}
sh %{PATCH779}
sh %{PATCH780}
sh %{PATCH781}
sh %{PATCH782}
sh %{PATCH783}
sh %{PATCH784}
sh %{PATCH785}
sh %{PATCH786}
sh %{PATCH787}
sh %{PATCH788}
sh %{PATCH789}
sh %{PATCH790}
sh %{PATCH791}
sh %{PATCH792}
sh %{PATCH793}
sh %{PATCH794}
sh %{PATCH795}
sh %{PATCH796}
sh %{PATCH797}
sh %{PATCH798}
sh %{PATCH799}
sh %{PATCH800}
sh %{PATCH801}
sh %{PATCH802}
sh %{PATCH803}
sh %{PATCH804}
sh %{PATCH805}
sh %{PATCH806}
sh %{PATCH807}
sh %{PATCH808}
sh %{PATCH809}
sh %{PATCH810}
sh %{PATCH811}
sh %{PATCH812}
sh %{PATCH813}
sh %{PATCH814}
sh %{PATCH815}
sh %{PATCH816}
sh %{PATCH817}
sh %{PATCH818}
sh %{PATCH819}
sh %{PATCH820}
sh %{PATCH821}
sh %{PATCH822}
sh %{PATCH823}
sh %{PATCH824}
sh %{PATCH825}
sh %{PATCH826}
sh %{PATCH827}
sh %{PATCH828}
sh %{PATCH829}
sh %{PATCH830}
sh %{PATCH831}
sh %{PATCH832}
sh %{PATCH833}
sh %{PATCH834}
sh %{PATCH835}
sh %{PATCH836}
sh %{PATCH837}
sh %{PATCH838}
sh %{PATCH839}
sh %{PATCH840}
sh %{PATCH841}
sh %{PATCH842}
sh %{PATCH843}
sh %{PATCH844}
sh %{PATCH845}
sh %{PATCH846}
sh %{PATCH847}
sh %{PATCH848}
sh %{PATCH849}
sh %{PATCH850}
sh %{PATCH851}
sh %{PATCH852}
sh %{PATCH853}
sh %{PATCH854}
sh %{PATCH855}
sh %{PATCH856}
sh %{PATCH857}
sh %{PATCH858}
sh %{PATCH859}
sh %{PATCH860}
sh %{PATCH861}
sh %{PATCH862}
sh %{PATCH863}
sh %{PATCH864}
sh %{PATCH865}
sh %{PATCH866}
sh %{PATCH867}
sh %{PATCH868}
sh %{PATCH869}
sh %{PATCH870}
sh %{PATCH871}
sh %{PATCH872}
sh %{PATCH873}
sh %{PATCH874}
sh %{PATCH875}
sh %{PATCH876}
sh %{PATCH877}
sh %{PATCH878}
sh %{PATCH879}
sh %{PATCH880}
sh %{PATCH881}
sh %{PATCH882}
sh %{PATCH883}
sh %{PATCH884}
sh %{PATCH885}
sh %{PATCH886}
sh %{PATCH887}
sh %{PATCH888}
sh %{PATCH889}
sh %{PATCH890}
sh %{PATCH891}
sh %{PATCH892}
sh %{PATCH893}
sh %{PATCH894}
sh %{PATCH895}
sh %{PATCH896}
sh %{PATCH897}
sh %{PATCH898}
sh %{PATCH899}
sh %{PATCH900}
sh %{PATCH901}
sh %{PATCH902}
sh %{PATCH903}
sh %{PATCH904}
sh %{PATCH905}
sh %{PATCH906}
sh %{PATCH907}
sh %{PATCH908}
sh %{PATCH909}
sh %{PATCH910}
sh %{PATCH911}
sh %{PATCH912}
sh %{PATCH913}
sh %{PATCH914}
sh %{PATCH915}
sh %{PATCH916}
sh %{PATCH917}
sh %{PATCH918}
sh %{PATCH919}
sh %{PATCH920}
sh %{PATCH921}
sh %{PATCH922}
sh %{PATCH923}
sh %{PATCH924}
sh %{PATCH925}
sh %{PATCH926}
sh %{PATCH927}
sh %{PATCH928}
sh %{PATCH929}
sh %{PATCH930}
sh %{PATCH931}
sh %{PATCH932}
sh %{PATCH933}
sh %{PATCH934}
sh %{PATCH935}
sh %{PATCH936}
sh %{PATCH937}
sh %{PATCH938}
sh %{PATCH939}
sh %{PATCH940}
sh %{PATCH941}
sh %{PATCH942}
sh %{PATCH943}
sh %{PATCH944}
sh %{PATCH945}
sh %{PATCH946}
sh %{PATCH947}
sh %{PATCH948}
sh %{PATCH949}
sh %{PATCH950}
sh %{PATCH951}
sh %{PATCH952}
sh %{PATCH953}
sh %{PATCH954}
sh %{PATCH955}
sh %{PATCH956}
sh %{PATCH957}
sh %{PATCH958}
sh %{PATCH959}
sh %{PATCH960}
sh %{PATCH961}
sh %{PATCH962}
sh %{PATCH963}
sh %{PATCH964}
sh %{PATCH965}
sh %{PATCH966}
sh %{PATCH967}
sh %{PATCH968}
sh %{PATCH969}
sh %{PATCH970}
sh %{PATCH971}
sh %{PATCH972}
sh %{PATCH973}
sh %{PATCH974}
sh %{PATCH975}
sh %{PATCH976}
sh %{PATCH977}
sh %{PATCH978}
sh %{PATCH979}
sh %{PATCH980}
sh %{PATCH981}
sh %{PATCH982}
sh %{PATCH983}
sh %{PATCH984}
sh %{PATCH985}
sh %{PATCH986}
sh %{PATCH987}
sh %{PATCH988}
sh %{PATCH989}
sh %{PATCH990}
sh %{PATCH991}
sh %{PATCH992}
sh %{PATCH993}
sh %{PATCH994}
sh %{PATCH995}
sh %{PATCH996}
sh %{PATCH997}
sh %{PATCH998}
sh %{PATCH999}
sh %{PATCH1000}
sh %{PATCH1001}
sh %{PATCH1002}
sh %{PATCH1003}
sh %{PATCH1004}
sh %{PATCH1005}
sh %{PATCH1006}
sh %{PATCH1007}
sh %{PATCH1008}
sh %{PATCH1009}
sh %{PATCH1010}
sh %{PATCH1011}
sh %{PATCH1012}
sh %{PATCH1013}
sh %{PATCH1014}
sh %{PATCH1015}
sh %{PATCH1016}
sh %{PATCH1017}
sh %{PATCH1018}
sh %{PATCH1019}
sh %{PATCH1020}
sh %{PATCH1021}
sh %{PATCH1022}
sh %{PATCH1023}
sh %{PATCH1024}
sh %{PATCH1025}
sh %{PATCH1026}
sh %{PATCH1027}
sh %{PATCH1028}
sh %{PATCH1029}
sh %{PATCH1030}
sh %{PATCH1031}
sh %{PATCH1032}
sh %{PATCH1033}
sh %{PATCH1034}
sh %{PATCH1035}
sh %{PATCH1036}
sh %{PATCH1037}
sh %{PATCH1038}
sh %{PATCH1039}
sh %{PATCH1040}
sh %{PATCH1041}
sh %{PATCH1042}
sh %{PATCH1043}
sh %{PATCH1044}
sh %{PATCH1045}
sh %{PATCH1046}
sh %{PATCH1047}
sh %{PATCH1048}
sh %{PATCH1049}
sh %{PATCH1050}
sh %{PATCH1051}
sh %{PATCH1052}
sh %{PATCH1053}
sh %{PATCH1054}
sh %{PATCH1055}
sh %{PATCH1056}
sh %{PATCH1057}
sh %{PATCH1058}
sh %{PATCH1059}
sh %{PATCH1060}
sh %{PATCH1061}
sh %{PATCH1062}
sh %{PATCH1063}
sh %{PATCH1064}
sh %{PATCH1065}
sh %{PATCH1066}
sh %{PATCH1067}
sh %{PATCH1068}
sh %{PATCH1069}
sh %{PATCH1070}
sh %{PATCH1071}
sh %{PATCH1072}
sh %{PATCH1073}
sh %{PATCH1074}
sh %{PATCH1075}
sh %{PATCH1076}
sh %{PATCH1077}
sh %{PATCH1078}
sh %{PATCH1079}
sh %{PATCH1080}
sh %{PATCH1081}
sh %{PATCH1082}
sh %{PATCH1083}
sh %{PATCH1084}
sh %{PATCH1085}
sh %{PATCH1086}
sh %{PATCH1087}
sh %{PATCH1088}
sh %{PATCH1089}
sh %{PATCH1090}
sh %{PATCH1091}
sh %{PATCH1092}
sh %{PATCH1093}
sh %{PATCH1094}
sh %{PATCH1095}
sh %{PATCH1096}
sh %{PATCH1097}
sh %{PATCH1098}
sh %{PATCH1099}
sh %{PATCH1100}
sh %{PATCH1101}
sh %{PATCH1102}
sh %{PATCH1103}
sh %{PATCH1104}
sh %{PATCH1105}
sh %{PATCH1106}
sh %{PATCH1107}
sh %{PATCH1108}
sh %{PATCH1109}
sh %{PATCH1110}
sh %{PATCH1111}
sh %{PATCH1112}
sh %{PATCH1113}
sh %{PATCH1114}
sh %{PATCH1115}
sh %{PATCH1116}
sh %{PATCH1117}
sh %{PATCH1118}
sh %{PATCH1119}
sh %{PATCH1120}
sh %{PATCH1121}
sh %{PATCH1122}
sh %{PATCH1123}
sh %{PATCH1124}
sh %{PATCH1125}
sh %{PATCH1126}
sh %{PATCH1127}
sh %{PATCH1128}
sh %{PATCH1129}
sh %{PATCH1130}
sh %{PATCH1131}
sh %{PATCH1132}
sh %{PATCH1133}
sh %{PATCH1134}
sh %{PATCH1135}
sh %{PATCH1136}
sh %{PATCH1137}
sh %{PATCH1138}
sh %{PATCH1139}
sh %{PATCH1140}
sh %{PATCH1141}
sh %{PATCH1142}
sh %{PATCH1143}
sh %{PATCH1144}
sh %{PATCH1145}
sh %{PATCH1146}
sh %{PATCH1147}
sh %{PATCH1148}
sh %{PATCH1149}
sh %{PATCH1150}
sh %{PATCH1151}
sh %{PATCH1152}
sh %{PATCH1153}
sh %{PATCH1154}
sh %{PATCH1155}
sh %{PATCH1156}
sh %{PATCH1157}
sh %{PATCH1158}
sh %{PATCH1159}
sh %{PATCH1160}
sh %{PATCH1161}
sh %{PATCH1162}
sh %{PATCH1163}
sh %{PATCH1164}
sh %{PATCH1165}
sh %{PATCH1166}
sh %{PATCH1167}
sh %{PATCH1168}
sh %{PATCH1169}
sh %{PATCH1170}
sh %{PATCH1171}
sh %{PATCH1172}
sh %{PATCH1173}
sh %{PATCH1174}
sh %{PATCH1175}
sh %{PATCH1176}
sh %{PATCH1177}
sh %{PATCH1178}
sh %{PATCH1179}
sh %{PATCH1180}
sh %{PATCH1181}
sh %{PATCH1182}
sh %{PATCH1183}
sh %{PATCH1184}
sh %{PATCH1185}
sh %{PATCH1186}
sh %{PATCH1187}
sh %{PATCH1188}
sh %{PATCH1189}
sh %{PATCH1190}
sh %{PATCH1191}
sh %{PATCH1192}
sh %{PATCH1193}
sh %{PATCH1194}
sh %{PATCH1195}
sh %{PATCH1196}
sh %{PATCH1197}
sh %{PATCH1198}
sh %{PATCH1199}
sh %{PATCH1200}
sh %{PATCH1201}
sh %{PATCH1202}
sh %{PATCH1203}
sh %{PATCH1204}
sh %{PATCH1205}
sh %{PATCH1206}
sh %{PATCH1207}
sh %{PATCH1208}
sh %{PATCH1209}
sh %{PATCH1210}
sh %{PATCH1211}
sh %{PATCH1212}
sh %{PATCH1213}
sh %{PATCH1214}
sh %{PATCH1215}
sh %{PATCH1216}
sh %{PATCH1217}
sh %{PATCH1218}
sh %{PATCH1219}
sh %{PATCH1220}
sh %{PATCH1221}
sh %{PATCH1222}
sh %{PATCH1223}
sh %{PATCH1224}
sh %{PATCH1225}
sh %{PATCH1226}
sh %{PATCH1227}
sh %{PATCH1228}
sh %{PATCH1229}
sh %{PATCH1230}
sh %{PATCH1231}
sh %{PATCH1232}
sh %{PATCH1233}
sh %{PATCH1234}
sh %{PATCH1235}
sh %{PATCH1236}
sh %{PATCH1237}
sh %{PATCH1238}
sh %{PATCH1239}
sh %{PATCH1240}
sh %{PATCH1241}
sh %{PATCH1242}
sh %{PATCH1243}
sh %{PATCH1244}
sh %{PATCH1245}
sh %{PATCH1246}
sh %{PATCH1247}
sh %{PATCH1248}
sh %{PATCH1249}
sh %{PATCH1250}
sh %{PATCH1251}
sh %{PATCH1252}
sh %{PATCH1253}
sh %{PATCH1254}
sh %{PATCH1255}
sh %{PATCH1256}
sh %{PATCH1257}
sh %{PATCH1258}
sh %{PATCH1259}
sh %{PATCH1260}
sh %{PATCH1261}
sh %{PATCH1262}
sh %{PATCH1263}
sh %{PATCH1264}
sh %{PATCH1265}
sh %{PATCH1266}
sh %{PATCH1267}
sh %{PATCH1268}
sh %{PATCH1269}
sh %{PATCH1270}
sh %{PATCH1271}
sh %{PATCH1272}
sh %{PATCH1273}
sh %{PATCH1274}
sh %{PATCH1275}
sh %{PATCH1276}
sh %{PATCH1277}
sh %{PATCH1278}
sh %{PATCH1279}
sh %{PATCH1280}
sh %{PATCH1281}
sh %{PATCH1282}
sh %{PATCH1283}
sh %{PATCH1284}
sh %{PATCH1285}
sh %{PATCH1286}
sh %{PATCH1287}
sh %{PATCH1288}
sh %{PATCH1289}
sh %{PATCH1290}
sh %{PATCH1291}
sh %{PATCH1292}
sh %{PATCH1293}
sh %{PATCH1294}
sh %{PATCH1295}
sh %{PATCH1296}
sh %{PATCH1297}
sh %{PATCH1298}
sh %{PATCH1299}
sh %{PATCH1300}
sh %{PATCH1301}
sh %{PATCH1302}
sh %{PATCH1303}
sh %{PATCH1304}
sh %{PATCH1305}
sh %{PATCH1306}
sh %{PATCH1307}
sh %{PATCH1308}
sh %{PATCH1309}
sh %{PATCH1310}
sh %{PATCH1311}
sh %{PATCH1312}
sh %{PATCH1313}
sh %{PATCH1314}
sh %{PATCH1315}
sh %{PATCH1316}
sh %{PATCH1317}
sh %{PATCH1318}
sh %{PATCH1319}
sh %{PATCH1320}
sh %{PATCH1321}
sh %{PATCH1322}
sh %{PATCH1323}
sh %{PATCH1324}
sh %{PATCH1325}
sh %{PATCH1326}
sh %{PATCH1327}
sh %{PATCH1328}
sh %{PATCH1329}
sh %{PATCH1330}
sh %{PATCH1331}
sh %{PATCH1332}
sh %{PATCH1333}
sh %{PATCH1334}
sh %{PATCH1335}
sh %{PATCH1336}
sh %{PATCH1337}
sh %{PATCH1338}
sh %{PATCH1339}
sh %{PATCH1340}
sh %{PATCH1341}
sh %{PATCH1342}
sh %{PATCH1343}
sh %{PATCH1344}
sh %{PATCH1345}
sh %{PATCH1346}
sh %{PATCH1347}
sh %{PATCH1348}
sh %{PATCH1349}
sh %{PATCH1350}
sh %{PATCH1351}
sh %{PATCH1352}
sh %{PATCH1353}
sh %{PATCH1354}
sh %{PATCH1355}
sh %{PATCH1356}
sh %{PATCH1357}
sh %{PATCH1358}
sh %{PATCH1359}
sh %{PATCH1360}
sh %{PATCH1361}
sh %{PATCH1362}
sh %{PATCH1363}
sh %{PATCH1364}
sh %{PATCH1365}
sh %{PATCH1366}
sh %{PATCH1367}
sh %{PATCH1368}
sh %{PATCH1369}
sh %{PATCH1370}
sh %{PATCH1371}
sh %{PATCH1372}
sh %{PATCH1373}
sh %{PATCH1374}
sh %{PATCH1375}
sh %{PATCH1376}
sh %{PATCH1377}
sh %{PATCH1378}
sh %{PATCH1379}
sh %{PATCH1380}
sh %{PATCH1381}
sh %{PATCH1382}
sh %{PATCH1383}
sh %{PATCH1384}
sh %{PATCH1385}
sh %{PATCH1386}
sh %{PATCH1387}
sh %{PATCH1388}
sh %{PATCH1389}
sh %{PATCH1390}
sh %{PATCH1391}
sh %{PATCH1392}
sh %{PATCH1393}
sh %{PATCH1394}
sh %{PATCH1395}
sh %{PATCH1396}
sh %{PATCH1397}
sh %{PATCH1398}
sh %{PATCH1399}
sh %{PATCH1400}
sh %{PATCH1401}
sh %{PATCH1402}
sh %{PATCH1403}
sh %{PATCH1404}
sh %{PATCH1405}
sh %{PATCH1406}
sh %{PATCH1407}
sh %{PATCH1408}
sh %{PATCH1409}
sh %{PATCH1410}
sh %{PATCH1411}
sh %{PATCH1412}
sh %{PATCH1413}
sh %{PATCH1414}
sh %{PATCH1415}
sh %{PATCH1416}
sh %{PATCH1417}
sh %{PATCH1418}
sh %{PATCH1419}
sh %{PATCH1420}
sh %{PATCH1421}
sh %{PATCH1422}
sh %{PATCH1423}
sh %{PATCH1424}
sh %{PATCH1425}
sh %{PATCH1426}
sh %{PATCH1427}
sh %{PATCH1428}
sh %{PATCH1429}
sh %{PATCH1430}
sh %{PATCH1431}
sh %{PATCH1432}
sh %{PATCH1433}
sh %{PATCH1434}
sh %{PATCH1435}
sh %{PATCH1436}
sh %{PATCH1437}
sh %{PATCH1438}
sh %{PATCH1439}
sh %{PATCH1440}
sh %{PATCH1441}
sh %{PATCH1442}
sh %{PATCH1443}
sh %{PATCH1444}
sh %{PATCH1445}
sh %{PATCH1446}
sh %{PATCH1447}
sh %{PATCH1448}
sh %{PATCH1449}
sh %{PATCH1450}
sh %{PATCH1451}
sh %{PATCH1452}
sh %{PATCH1453}
sh %{PATCH1454}
sh %{PATCH1455}
sh %{PATCH1456}
sh %{PATCH1457}
sh %{PATCH1458}
sh %{PATCH1459}
sh %{PATCH1460}
sh %{PATCH1461}
sh %{PATCH1462}
sh %{PATCH1463}
sh %{PATCH1464}
sh %{PATCH1465}
sh %{PATCH1466}
sh %{PATCH1467}
sh %{PATCH1468}
sh %{PATCH1469}
sh %{PATCH1470}
sh %{PATCH1471}
sh %{PATCH1472}
sh %{PATCH1473}
sh %{PATCH1474}
sh %{PATCH1475}
sh %{PATCH1476}
sh %{PATCH1477}
sh %{PATCH1478}
sh %{PATCH1479}
sh %{PATCH1480}
sh %{PATCH1481}
sh %{PATCH1482}
sh %{PATCH1483}
sh %{PATCH1484}
sh %{PATCH1485}
sh %{PATCH1486}
sh %{PATCH1487}
sh %{PATCH1488}
sh %{PATCH1489}
sh %{PATCH1490}
sh %{PATCH1491}
sh %{PATCH1492}
sh %{PATCH1493}
sh %{PATCH1494}
sh %{PATCH1495}
sh %{PATCH1496}
sh %{PATCH1497}
sh %{PATCH1498}
sh %{PATCH1499}
sh %{PATCH1500}
sh %{PATCH1501}
sh %{PATCH1502}
sh %{PATCH1503}
sh %{PATCH1504}
sh %{PATCH1505}
sh %{PATCH1506}
sh %{PATCH1507}
sh %{PATCH1508}
sh %{PATCH1509}
sh %{PATCH1510}
sh %{PATCH1511}
sh %{PATCH1512}
sh %{PATCH1513}
sh %{PATCH1514}
sh %{PATCH1515}
sh %{PATCH1516}
sh %{PATCH1517}
sh %{PATCH1518}
sh %{PATCH1519}
sh %{PATCH1520}
sh %{PATCH1521}
sh %{PATCH1522}
sh %{PATCH1523}
sh %{PATCH1524}
sh %{PATCH1525}
sh %{PATCH1526}
sh %{PATCH1527}
sh %{PATCH1528}
sh %{PATCH1529}
sh %{PATCH1530}
sh %{PATCH1531}
sh %{PATCH1532}
sh %{PATCH1533}
sh %{PATCH1534}
sh %{PATCH1535}
sh %{PATCH1536}
sh %{PATCH1537}
sh %{PATCH1538}
sh %{PATCH1539}
sh %{PATCH1540}
sh %{PATCH1541}
sh %{PATCH1542}
sh %{PATCH1543}
sh %{PATCH1544}
sh %{PATCH1545}
sh %{PATCH1546}
sh %{PATCH1547}
sh %{PATCH1548}
sh %{PATCH1549}
sh %{PATCH1550}
sh %{PATCH1551}
sh %{PATCH1552}
sh %{PATCH1553}
sh %{PATCH1554}
sh %{PATCH1555}
sh %{PATCH1556}
sh %{PATCH1557}
sh %{PATCH1558}
sh %{PATCH1559}
sh %{PATCH1560}
sh %{PATCH1561}
sh %{PATCH1562}
sh %{PATCH1563}
sh %{PATCH1564}
sh %{PATCH1565}
sh %{PATCH1566}
sh %{PATCH1567}
sh %{PATCH1568}
sh %{PATCH1569}
sh %{PATCH1570}
sh %{PATCH1571}
sh %{PATCH1572}
sh %{PATCH1573}
sh %{PATCH1574}
sh %{PATCH1575}
sh %{PATCH1576}
sh %{PATCH1577}
sh %{PATCH1578}
sh %{PATCH1579}
sh %{PATCH1580}
sh %{PATCH1581}
sh %{PATCH1582}
sh %{PATCH1583}
sh %{PATCH1584}
sh %{PATCH1585}
sh %{PATCH1586}
sh %{PATCH1587}
sh %{PATCH1588}
sh %{PATCH1589}
sh %{PATCH1590}
sh %{PATCH1591}
sh %{PATCH1592}
sh %{PATCH1593}
sh %{PATCH1594}
sh %{PATCH1595}
sh %{PATCH1596}
sh %{PATCH1597}
sh %{PATCH1598}
sh %{PATCH1599}
sh %{PATCH1600}
sh %{PATCH1601}
sh %{PATCH1602}
sh %{PATCH1603}
sh %{PATCH1604}
sh %{PATCH1605}
sh %{PATCH1606}
sh %{PATCH1607}
sh %{PATCH1608}
sh %{PATCH1609}
sh %{PATCH1610}
sh %{PATCH1611}
sh %{PATCH1612}
sh %{PATCH1613}
sh %{PATCH1614}
sh %{PATCH1615}
sh %{PATCH1616}
sh %{PATCH1617}
sh %{PATCH1618}
sh %{PATCH1619}
sh %{PATCH1620}
sh %{PATCH1621}
sh %{PATCH1622}
sh %{PATCH1623}
sh %{PATCH1624}
sh %{PATCH1625}
sh %{PATCH1626}
sh %{PATCH1627}
sh %{PATCH1628}
sh %{PATCH1629}
sh %{PATCH1630}
sh %{PATCH1631}
sh %{PATCH1632}
sh %{PATCH1633}
sh %{PATCH1634}
sh %{PATCH1635}
sh %{PATCH1636}
sh %{PATCH1637}
sh %{PATCH1638}
sh %{PATCH1639}
sh %{PATCH1640}
sh %{PATCH1641}
sh %{PATCH1642}
sh %{PATCH1643}
sh %{PATCH1644}
sh %{PATCH1645}
sh %{PATCH1646}
sh %{PATCH1647}
sh %{PATCH1648}
sh %{PATCH1649}
sh %{PATCH1650}
sh %{PATCH1651}
sh %{PATCH1652}
sh %{PATCH1653}
sh %{PATCH1654}
sh %{PATCH1655}
sh %{PATCH1656}
sh %{PATCH1657}
sh %{PATCH1658}
sh %{PATCH1659}
sh %{PATCH1660}
sh %{PATCH1661}
sh %{PATCH1662}
sh %{PATCH1663}
sh %{PATCH1664}
sh %{PATCH1665}
sh %{PATCH1666}
sh %{PATCH1667}
sh %{PATCH1668}
sh %{PATCH1669}
sh %{PATCH1670}
sh %{PATCH1671}
sh %{PATCH1672}
sh %{PATCH1673}
sh %{PATCH1674}
sh %{PATCH1675}
sh %{PATCH1676}
sh %{PATCH1677}

# apply NGS patches
patch -p1 < %{PATCH50}
patch -p1 < %{PATCH51}
patch -p1 < %{PATCH52}
patch -p1 < %{PATCH53}
patch -p1 < %{PATCH54}
patch -p1 < %{PATCH55}
patch -p1 < %{PATCH56}
patch -p1 < %{PATCH57}
patch -p1 < %{PATCH58}
patch -p1 < %{PATCH59}
patch -p1 < %{PATCH60}
patch -p1 < %{PATCH61}
patch -p1 < %{PATCH62}
patch -p1 < %{PATCH63}
patch -p1 < %{PATCH64}
patch -p1 < %{PATCH65}
patch -p1 < %{PATCH66}
patch -p1 < %{PATCH67}
patch -p1 < %{PATCH68}
patch -p1 < %{PATCH69}
patch -p1 < %{PATCH70}
patch -p1 < %{PATCH71}
patch -p1 < %{PATCH72}
patch -p1 < %{PATCH73}
patch -p1 < %{PATCH74}

# apply S84X patches
patch -p1 < %{PATCH80}
patch -p1 < %{PATCH81}
patch -p1 < %{PATCH82}
patch -p1 < %{PATCH83}

rm -f .mvl_target_cpu
echo %{_hhl_kernel_arch} > .mvl_target_cpu

rm -f .mvl_cross_compile
echo %{_hhl_target_toolprefix} > .mvl_cross_compile

rm -f localversion-mvl
echo -s84x-mips2_fp_le > localversion-mvl

rm -f arch/%{_hhl_kernel_arch}/defconfig
cp %{SOURCE0} arch/%{_hhl_kernel_arch}/defconfig

rm -f .mvl_target_installdir
echo %{_hhl_cross_dir} | sed -e "s=%{_hhl_devkit_dir}/==" > .mvl_target_installdir

rm -f include/linux/lspinfo.h
cat > include/linux/lspinfo.h << EOF
#define LSP_BUILD_ID   "%{_hhl_build_id}"
#define LSP_REVISION   "%{_hhl_lsp_rev}"
#define LSP_NAME       "%{FILENAME}"
#define LSP_BOARD_NAME "%{BOARD_NAME}"
#define LSP_MVL_ARCH   "%{_hhl_target_arch}"
EOF

#
#  BUILD
#
%build
%host_setup

cd %{buildroot}%{MY_LSPDIR}/%{KDIR}

make mrproper
make checksetconfig

#
#  INSTALL
#
%install
%host_setup

#  Copy kernel source for LSP
install -d -m 755 %{buildroot}%{MY_LSPDIR}

cd %{buildroot}%{MY_LSPDIR}

# Copy documentation
cat %{SOURCE10} | sed	\
	-e "s/XYZ_TARGET_ARCH/%{_hhl_target_arch}/g" \
	-e "s/XYZ_TOOL_PREFIX/%{_hhl_target_toolprefix}/g" \
	-e "s=XYZ_CROSS_DIR=%{_hhl_cross_dir}=g" \
	-e "s=XYZ_LINUX_VERSION=%{KERNEL_VERSION}=g" \
	-e "s=%{_hhl_devkit_dir}/==g" > %{buildroot}%{MY_LSPDIR}/desc

%if "%{_hhl_integration_patch}" == "true"
cp %{PATCH10} %{buildroot}%{MY_LSPDIR}/mvl-post-release.diff
%endif

#
#  CLEAN
#
%clean
rm -rf %{buildroot}

%files -n cross-%{_hhl_target_arch}-lsp-%{FILENAME}
%defattr(-,root,root)
%dir %{MY_LSPDIR}
%{MY_LSPDIR}/%{KDIR}
%{MY_LSPDIR}/desc

%if "%{_hhl_integration_patch}" == "true"
%{MY_LSPDIR}/mvl-post-release.diff
%endif

#
#  CHANGELOG
#
%changelog
* Wed Jul 8 2009 Yamaha Corporation
- Applied a patch to properly handle the NAND ECC correction for
  eccmode NAND_ECC_HW6_512.
* Fri Jun 26 2009 Yamaha Corporation
- Applied a patch to satisfy the hardware requirements for NAND
  READID.
* Wed Feb 25 2009 Yamaha Corporation
- Added NAND Flash ROM ECC error logging stuffs.
* Mon Jan 26 2009 Yamaha Corporation
- Added EPSON S1D13700 control utility.
* Wed Jan 21 2009 Yamaha Corporation
- Updated EPSON S1D13700 LCDC driver.
* Tue Dec 2 2008 Yamaha Corporation
- Updated the NAND partition usage.
- Updated initrd.
* Fri Nov 28 2008 Yamaha Corporation
- Updated the NAND partition usage.
- Updated initrd.
* Wed Nov 19 2008 Yamaha Corporation
- Fixed the image transfer position of real VRAM, EPSON S1D13700 LCDC driver. 
- Enabled Yaffs.
* Tue Oct 28 2008 Yamaha Corporation
- Updated EPSON S1D13700 LCDC driver.
* Tue Oct 28 2008 Yamaha Corporation
- Updated EPSON S1D13700 LCDC driver.
* Wed Oct 8 2008 Yamaha Corporation
- Updated ramdisk to support model ID.
- Added ngs-kev_drv_headers.patch.
- Updated ngs-usb_overcurrent.patch.
* Thu Oct 3 2008 Yamaha Corporation
- Replaced chkpsw supported for S84X.
- Removed ISP1761 function driver from ramdisk.
* Thu Oct 2 2008 Yamaha Corporation
- Incorporated MTD badblock fix patch from the upstream GIT
  repository.
- Applied a patch for TX4939NDFMC large page support.
- Tweaked EPSON13700 driver, added zero filling when the virtual VRAM
  is allocated.
- Disabled powering on process when the overcurrent status is
  changed. It's controlled by the manual trigger to enable the power.
* Fri Sep 19 2008 Yamaha Corporation
- Applied the patch for disabling TX4939's external PCI port probing.
- Added ISP1761 function controller driver for enabling host controller driver(experimental).
* Wed Aug 27 2008 Yamaha Corporation
- Fixed kernel address for MTD.
* Tue Aug 26 2008 Yamaha Corporation
- Updated ramdisk.
- Updated SREC kernel address.
- Now epson13700fb is the default.
* Mon Jul 28 2008 Yamaha Corporation
- Incorporated the latest MVL updates.
- Updated NGS patches.
* Tue Jun 17 2008 Yamaha Corporation
- Updated ngs-serial_txx9.patch.
* Mon May 26 2008 Yamaha Corporation
- Initial release for S84X.
* Thu Sep 15 2005 <source@mvista.com>
- Spec file generated from template 8
